Index: gnome/add/at-spi.xml
===================================================================
--- gnome/add/at-spi.xml	(revision d5127a18ad04fc0544e0648efa1767b235635af5)
+++ gnome/add/at-spi.xml	(revision 703cfe43c559d72b4d305379efcd5abc29c00934)
@@ -5,110 +5,130 @@
   %general-entities;
 
-<!ENTITY at-spi-download-http "http://ftp.gnome.org/pub/GNOME/sources/at-spi/1.6/at-spi-&at-spi-version;.tar.bz2">
-<!ENTITY at-spi-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/at-spi/1.6/at-spi-&at-spi-version;.tar.bz2">
-<!ENTITY at-spi-md5sum "950fc9bb66cf90b720739f3ea5ad8b18">
-<!ENTITY at-spi-size "503 KB">
-<!ENTITY at-spi-buildsize "14.6 MB">
-<!ENTITY at-spi-time "0.55 SBU">
+  <!ENTITY at-spi-download-http "http://ftp.gnome.org/pub/GNOME/sources/at-spi/1.6/at-spi-&at-spi-version;.tar.bz2">
+  <!ENTITY at-spi-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/at-spi/1.6/at-spi-&at-spi-version;.tar.bz2">
+  <!ENTITY at-spi-md5sum "950fc9bb66cf90b720739f3ea5ad8b18">
+  <!ENTITY at-spi-size "503 KB">
+  <!ENTITY at-spi-buildsize "14.6 MB">
+  <!ENTITY at-spi-time "0.55 SBU">
 ]>
 
 <sect1 id="at-spi" xreflabel="AT SPI-&at-spi-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="at-spi.html"?>
-<title>AT SPI-&at-spi-version;</title>
+  <?dbhtml filename="at-spi.html"?>
 
-<sect2>
-<title>Introduction to <application><acronym>AT</acronym>
-<acronym>SPI</acronym></application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>The <application><acronym>AT</acronym> 
-<acronym>SPI</acronym></application> package contains Assistive Technology 
-Service Provider Interface. This is useful for redirecting 
-<acronym>UI</acronym> events to accessible applications and adaptive/assistive 
-technologies.</para>
+  <title>AT SPI-&at-spi-version;</title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&at-spi-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&at-spi-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &at-spi-md5sum;</para></listitem>
-<listitem><para>Download size: &at-spi-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&at-spi-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&at-spi-time;</para></listitem></itemizedlist>
-</sect3>
+  <indexterm zone="at-spi">
+    <primary sortas="a-AT-SPI">AT SPI</primary>
+  </indexterm>
 
-<sect3><title><application><acronym>AT</acronym> 
-<acronym>SPI</acronym></application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="gail"/> and <xref linkend="libbonobo"/></para>
-</sect4>
+  <sect2 role="package">
+    <title>Introduction to AT SPI</title>
 
-<sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/></para>
-</sect4>
-</sect3>
+    <para>The <application>AT SPI</application> package contains Assistive
+    Technology Service Provider Interface. This is useful for redirecting
+    UI events to accessible applications and adaptive/assistive
+    technologies.</para>
 
-</sect2>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&at-spi-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&at-spi-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &at-spi-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &at-spi-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &at-spi-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &at-spi-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<sect2>
-<title>Installation of <application><acronym>AT</acronym> 
-<acronym>SPI</acronym></application></title>
+    <bridgehead renderas="sect3">AT SPI Dependencies</bridgehead>
 
-<para>Install <application><acronym>AT</acronym> 
-<acronym>SPI</acronym></application> by running the following commands:</para>
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="gail"/> and <xref linkend="libbonobo"/></para>
 
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="gtk-doc"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of AT SPI</title>
+
+    <para>Install <application>AT SPI</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
     --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
     --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
-make install</command></userinput></screen>
+make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Command explanations</title>
+  <sect2 role="commands">
+    <title>Command Explanations</title>
 
-<para><parameter>--libexecdir=`pkg-config --variable=prefix
-ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
-<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
-<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+    <para><parameter>--libexecdir=`pkg-config --variable=prefix
+    ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
+    <filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
+    <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
-<para><option>--disable-gtk-doc</option>: This switch prevents the rebuilding 
-of the documentation during the <command>make</command> command.</para>
+    <para><parameter>--disable-gtk-doc</parameter>: This switch prevents the
+    rebuilding of the documentation during the <command>make</command>
+    command.</para>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Contents</title>
+  <sect2 role="content">
+    <title>Contents</title>
 
-<para>The <application><acronym>AT</acronym> 
-<acronym>SPI</acronym></application> package contains 
-<filename class="libraryfile">libspi</filename>, 
-<filename class="libraryfile">libcspi</filename> and 
-<filename class="libraryfile">libloginhelper</filename> libraries, 
-the <filename class='libraryfile'>libatk-bridge.so</filename> 
-<application><acronym>GTK</acronym>+</application> module, 
-<application>ORBit</application>-2.0 
-<filename class='libraryfile'>Accessibility</filename> modules and 
-<command>at-spi-registryd</command>.</para>
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
-</sect2>
+      <seglistitem>
+        <seg>at-spi-registryd</seg>
+        <seg>libspi.[so,a], libcspi.[so,a], libloginhelper.[so,a], the
+        libatk-bridge.so <application>GTK+</application> module, and
+        <application>ORBit</application>-2.0 Accessibility modules</seg>
+        <seg>Not determined at this time</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<sect2><title>Description</title>
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
 
-<sect3><title>at-spi-registryd</title>
-<para><command>at-spi-registryd</command> is the registry daemon that allows 
-communication between the <acronym>UI</acronym> and assistance devices.</para>
-</sect3>
+      <varlistentry id="at-spi-registryd">
+        <term><command>at-spi-registryd</command></term>
+        <listitem>
+          <para>is the registry daemon that allows communication between
+          the UI and assistance devices.</para>
+          <indexterm zone="at-spi at-spi-registryd">
+            <primary sortas="b-at-spi-registryd">at-spi-registryd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
 
-</sect2>
+    </variablelist>
+
+  </sect2>
 
 </sect1>
-