Index: introduction/important/beyond.xml
===================================================================
--- introduction/important/beyond.xml	(revision 9cf73e38a2edeea43c49566a0adae3fad432d597)
+++ introduction/important/beyond.xml	(revision 0708c2a06b8b04afb9baf2829a15498d661ab12b)
@@ -21,5 +21,6 @@
 
 <para>When you want to install a package to a location other than
-<filename class='directory'>/</filename>, or <filename class='directory'>/usr</filename>, you are installing
+<filename class='directory'>/</filename>, or 
+<filename class='directory'>/usr</filename>, you are installing
 outside the default environment settings on most machines.  The following
 examples should assist you in determining how to correct this situation.
@@ -30,22 +31,30 @@
 <listitem><para>Expand the <envar>PATH</envar> to include
 <filename class='directory'>$PREFIX/bin</filename>.</para></listitem>
+
 <listitem><para>Expand the <envar>PATH</envar> for root to include
 <filename class='directory'>$PREFIX/sbin</filename>.</para></listitem>
+
 <listitem><para>Add <filename class='directory'>$PREFIX/lib</filename>
 to <filename>/etc/ld.so.conf</filename> or expand
 <envar>LD_LIBRARY_PATH</envar> to include it. Before using the latter option,
 check out <ulink url="http://www.visi.com/~barr/ldpath.html"/>. If you
-modify <filename>/etc/ld.so.conf</filename> remember to update
-<filename>/etc/ld.so.cache</filename> by executing <command>ldconfig</command>.</para></listitem>
+modify <filename>/etc/ld.so.conf</filename>, remember to update
+<filename>/etc/ld.so.cache</filename> by executing <command>ldconfig</command> 
+as the root user.</para></listitem>
+
 <listitem><para>Add <filename class='directory'>$PREFIX/man</filename>
-to <filename>/etc/man.conf</filename> or expand <envar>MANPATH</envar>.</para></listitem>
+to <filename>/etc/man.conf</filename> or expand <envar>MANPATH</envar>.</para>
+</listitem>
+
 <listitem><para>Add <filename class='directory'>$PREFIX/info</filename>
 to <envar>INFOPATH</envar>.</para></listitem>
+
 <listitem><para>Add <filename
 class='directory'>$PREFIX/lib/pkgconfig</filename> to
 <envar>PKG_CONFIG_PATH</envar>.</para></listitem>
+
 <listitem><para>Add <filename
-class='directory'>$PREFIX/include</filename> to <envar>CPPFLAGS</envar> when compiling packages
-that depend on the package you installed.</para></listitem>
+class='directory'>$PREFIX/include</filename> to <envar>CPPFLAGS</envar> when 
+compiling packages that depend on the package you installed.</para></listitem>
 </itemizedlist>
 
@@ -56,9 +65,9 @@
 
 <listitem><para>If you know the name of the package, then search FreshMeat for
-at <ulink url="http://freshmeat.net/"/>. Also search Google at
+it at <ulink url="http://freshmeat.net/"/>. Also search Google at
 <ulink url="http://google.com/"/>. Sometimes a search for the rpm at
 <ulink url="http://rpmfind.net/"/> or the deb at
 <ulink url="http://www.debian.org/distrib/packages#search_packages"/> can also
-lead to the website for the package.</para></listitem>
+lead to a link to the package.</para></listitem>
 
 <listitem><para>If you know the name of the executable, but not the package 
@@ -87,5 +96,5 @@
 <listitem><para>If you are having a problem compiling the package, try
 searching the lfs archives at <ulink url="http://search.linuxfromscratch.org/"/>
-for the error or if that fails try searching google. If everything else fails,
+for the error or if that fails try searching Google. If everything else fails,
 try the blfs support mailing-list/news-server.</para></listitem>
 
@@ -93,8 +102,9 @@
 
 <tip><para>If you have found a package that is only available in .deb or .rpm
-format, there are two small scripts rpm2targz and deb2targz that are available
-at <ulink url="&downloads-project;/deb2targz.tar.bz2"/> and <ulink
-url="&downloads-project;/rpm2targz.tar.bz2"/> to convert the archives into a
-simple tar.gz format.</para></tip>
+format, there are two small scripts, <command>rpm2targz</command> and 
+<command>deb2targz</command> that are available at 
+<ulink url="&downloads-project;/deb2targz.tar.bz2"/> and 
+<ulink url="&downloads-project;/rpm2targz.tar.bz2"/> to convert the archives 
+into a simple <filename>tar.gz</filename> format.</para></tip>
 
 </sect1>
Index: introduction/important/bootscripts.xml
===================================================================
--- introduction/important/bootscripts.xml	(revision 9cf73e38a2edeea43c49566a0adae3fad432d597)
+++ introduction/important/bootscripts.xml	(revision 0708c2a06b8b04afb9baf2829a15498d661ab12b)
@@ -13,31 +13,34 @@
 <?dbhtml filename="bootscripts.html"?>
 <title><acronym>BLFS</acronym> Boot Scripts</title>
+<indexterm zone="intro-important-bootscripts">
+<primary sortas="a-BLFS-Bootscripts">BLFS Bootscripts</primary></indexterm>
+<indexterm zone="intro-important-bootscripts">
+<primary sortas="f-AA-General-Information">General Information</primary>
+</indexterm>
 
-<para>The <acronym>BLFS</acronym> Bootscripts package contains the init scripts that are
-used throughout the book. It is assumed that you will be using the blfs-bootscripts
-package in conjuction with a compatible lfs-bootscripts package.
-Refer to
-<ulink url="&lfs-root;/chapter07/bootscripts.html"/>
-for more
+<para>The <acronym>BLFS</acronym> Bootscripts package contains the init 
+scripts that are used throughout the book. It is assumed that you will be 
+using the blfs-bootscripts package in conjuction with a compatible 
+lfs-bootscripts package. Refer to 
+<ulink url="&lfs-root;/chapter07/bootscripts.html"/> for more 
 information on the lfs-bootscripts package.</para>
-
 
 <itemizedlist spacing='compact'>
 <title>Package information</title>
-<listitem><para>Download: <ulink url="&blfs-bootscripts-download;"/></para></listitem>
+<listitem><para>Download: <ulink url="&blfs-bootscripts-download;"/></para>
+</listitem>
 </itemizedlist>
 
-
-<para>The blfs-bootscripts package will be used throughout the <acronym>BLFS</acronym>
-book for startup scripts.  Unlike <acronym>LFS</acronym>, each init script
-has a separate install target in the blfs-bootscripts package. 
-It is recomended you keep the package
-source directory around until completion of your
-<acronym>BLFS</acronym> system.  When a script is requested from
-blfs-bootscripts, simply change to the directory and execute the given
-<command>make install-&lt;init-script&gt;</command> command. This command installs the
-init script to its proper location (along with any auxillary configuration
-scripts) and also creates the appropriate symlinks to start and stop the
-service at the appropriate run-level.</para>
+<para>The blfs-bootscripts package will be used throughout the 
+<acronym>BLFS</acronym> book for startup scripts.  Unlike 
+<acronym>LFS</acronym>, each init script has a separate install target in the 
+blfs-bootscripts package. It is recomended you keep the package source 
+directory around until completion of your <acronym>BLFS</acronym> system. When 
+a script is requested from blfs-bootscripts, simply change to the directory 
+and execute the given 
+<command>make install-<replaceable>[init-script]</replaceable></command> 
+command. This command installs the init script to its proper location (along 
+with any auxillary configuration scripts) and also creates the appropriate 
+symlinks to start and stop the service at the appropriate run-level.</para>
 
 <note><para>It is advisable to peruse each bootscript before installation to
Index: introduction/important/patches.xml
===================================================================
--- introduction/important/patches.xml	(revision 9cf73e38a2edeea43c49566a0adae3fad432d597)
+++ introduction/important/patches.xml	(revision 0708c2a06b8b04afb9baf2829a15498d661ab12b)
@@ -25,8 +25,10 @@
 </itemizedlist>
 
-<para>In short, the book only includes patches that are either required or
-recommended. There is a <ulink url="http://www.linuxfromscratch.org/patches">Patches subproject</ulink>
-which hosts various patches (including the patches referenced in the books)
-to enable you to configure your <acronym>LFS</acronym> the way you like it.</para>
+<para>In short, the book only includes patches that are either required or 
+recommended. There is a 
+<ulink url="http://www.linuxfromscratch.org/patches">Patches subproject</ulink> 
+which hosts various patches (including the patches referenced in the books) 
+to enable you to configure your <acronym>LFS</acronym> the way you like 
+it.</para>
 
 </sect1>