Index: general.ent
===================================================================
--- general.ent	(revision fe27a8f64a50f54be586962a2275cc3aa2b08aa6)
+++ general.ent	(revision 711fd2c99be8d8d305be8e5552ac6a25710704d3)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "22">                   <!-- Always 2 digits -->
+<!ENTITY day          "24">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 22nd &year;">
+<!ENTITY releasedate  "January 24th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libgcrypt.xml
===================================================================
--- general/genlib/libgcrypt.xml	(revision fe27a8f64a50f54be586962a2275cc3aa2b08aa6)
+++ general/genlib/libgcrypt.xml	(revision 711fd2c99be8d8d305be8e5552ac6a25710704d3)
@@ -7,8 +7,8 @@
   <!ENTITY libgcrypt-download-http " ">
   <!ENTITY libgcrypt-download-ftp  "ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-&libgcrypt-version;.tar.bz2">
-  <!ENTITY libgcrypt-md5sum        "74c8b4b2118946dcbfec5ff1cbf97177">
+  <!ENTITY libgcrypt-md5sum        "54e180679a7ae4d090f8689ca32b654c">
   <!ENTITY libgcrypt-size          "2.8 MB">
-  <!ENTITY libgcrypt-buildsize     "49 MB (with tests and building docs)">
-  <!ENTITY libgcrypt-time          "0.9 SBU (with tests and building docs)">
+  <!ENTITY libgcrypt-buildsize     "42 MB (with tests and building docs)">
+  <!ENTITY libgcrypt-time          "0.7 SBU (with tests and building docs)">
 ]>
 
Index: general/genutils/screen.xml
===================================================================
--- general/genutils/screen.xml	(revision fe27a8f64a50f54be586962a2275cc3aa2b08aa6)
+++ general/genutils/screen.xml	(revision 711fd2c99be8d8d305be8e5552ac6a25710704d3)
@@ -7,8 +7,8 @@
   <!ENTITY screen-download-http "https://ftp.gnu.org/gnu/screen/screen-&screen-version;.tar.gz">
   <!ENTITY screen-download-ftp "ftp://ftp.gnu.org/gnu/screen/screen-&screen-version;.tar.gz">
-  <!ENTITY screen-md5sum "d26e11a3648c2b11aaefa215a55dfd39">
-  <!ENTITY screen-size "828 KB">
-  <!ENTITY screen-buildsize "7.6 MB">
-  <!ENTITY screen-time "0.2 SBU">
+  <!ENTITY screen-md5sum "a32105a91359afab1a4349209a028e31">
+  <!ENTITY screen-size "944 KB">
+  <!ENTITY screen-buildsize "9.6 MB">
+  <!ENTITY screen-time "0.1 SBU">
 ]>
 
Index: general/sysutils/hdparm.xml
===================================================================
--- general/sysutils/hdparm.xml	(revision fe27a8f64a50f54be586962a2275cc3aa2b08aa6)
+++ general/sysutils/hdparm.xml	(revision 711fd2c99be8d8d305be8e5552ac6a25710704d3)
@@ -7,7 +7,7 @@
   <!ENTITY hdparm-download-http "&sourceforge-repo;/hdparm/hdparm-&hdparm-version;.tar.gz">
   <!ENTITY hdparm-download-ftp  " ">
-  <!ENTITY hdparm-md5sum        "d380062ad6c4b40076736efbb640f1f5">
+  <!ENTITY hdparm-md5sum        "8fe0a71db02f7ffc602d14a69f766cff">
   <!ENTITY hdparm-size          "132 KB">
-  <!ENTITY hdparm-buildsize     "948 KB">
+  <!ENTITY hdparm-buildsize     "968 KB">
   <!ENTITY hdparm-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fe27a8f64a50f54be586962a2275cc3aa2b08aa6)
+++ introduction/welcome/changelog.xml	(revision 711fd2c99be8d8d305be8e5552ac6a25710704d3)
@@ -44,5 +44,23 @@
 -->
     <listitem>
-      <para>January 22nd, 2016</para>
+      <para>January 24th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to screen-4.5.0. Fixes
+          <ulink url="&blfs-ticket-root;8767">#8767</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to hdparm-9.51. Fixes
+          <ulink url="&blfs-ticket-root;8777">#8777</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libgcrypt-1.7.6. Fixes
+          <ulink url="&blfs-ticket-root;8768">#8768</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>January 22nd, 2017</para>
       <itemizedlist>
         <listitem>
@@ -62,5 +80,5 @@
 
     <listitem>
-      <para>January 20th, 2016</para>
+      <para>January 20th, 2017</para>
       <itemizedlist>
         <listitem>
@@ -112,5 +130,5 @@
 
     <listitem>
-      <para>January 19th, 2016</para>
+      <para>January 19th, 2017</para>
       <itemizedlist>
         <listitem>
@@ -124,5 +142,5 @@
 
     <listitem>
-      <para>January 18th, 2016</para>
+      <para>January 18th, 2017</para>
       <itemizedlist>
         <listitem>
@@ -134,5 +152,5 @@
 
     <listitem>
-      <para>January 17th, 2016</para>
+      <para>January 17th, 2017</para>
       <itemizedlist>
         <listitem>
@@ -164,5 +182,5 @@
 
     <listitem>
-      <para>January 16th, 2016</para>
+      <para>January 16th, 2017</para>
       <itemizedlist>
         <listitem>
@@ -178,5 +196,5 @@
 
     <listitem>
-      <para>January 15th, 2016</para>
+      <para>January 15th, 2017</para>
       <itemizedlist>
         <listitem>
@@ -199,5 +217,5 @@
 
     <listitem>
-      <para>January 14th, 2016</para>
+      <para>January 14th, 2017</para>
       <itemizedlist>
         <listitem>
@@ -217,5 +235,5 @@
 
     <listitem>
-      <para>January 13th, 2016</para>
+      <para>January 13th, 2017</para>
       <itemizedlist>
         <listitem revision="systemd">
@@ -231,5 +249,5 @@
 
     <listitem>
-      <para>January 12th, 2016</para>
+      <para>January 12th, 2017</para>
       <itemizedlist>
         <listitem revision="systemd">
Index: packages.ent
===================================================================
--- packages.ent	(revision fe27a8f64a50f54be586962a2275cc3aa2b08aa6)
+++ packages.ent	(revision 711fd2c99be8d8d305be8e5552ac6a25710704d3)
@@ -123,5 +123,5 @@
 <!ENTITY libesmtp-version             "1.0.6">
 <!ENTITY libffi-version               "3.2.1">
-<!ENTITY libgcrypt-version            "1.7.5">
+<!ENTITY libgcrypt-version            "1.7.6">
 <!ENTITY libglade-version             "2.6.4">
 <!ENTITY libgpg-error-version         "1.26">
@@ -224,5 +224,5 @@
 <!ENTITY recode-version               "3.6">
 <!ENTITY rep-gtk-version              "0.90.8.3">
-<!ENTITY screen-version               "4.4.0">
+<!ENTITY screen-version               "4.5.0">
 <!ENTITY sharutils-version            "4.15.2">
 <!ENTITY tidy-html5-version           "5.2.0">
@@ -245,5 +245,5 @@
 <!ENTITY fcron-version                "3.2.0">
 <!ENTITY gpm-version                  "1.20.7">
-<!ENTITY hdparm-version               "9.50">
+<!ENTITY hdparm-version               "9.51">
 <!ENTITY hdwids-version               "20141022">
 <!ENTITY lm_sensors-version           "3.4.0">