Index: Makefile
===================================================================
--- Makefile	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ Makefile	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -90,5 +90,3 @@
 
 validate:
-# --noent prevents resolving linkend (remove when xinclude fully
-# implemented)
-	xmllint --noout --nonet --noent --xinclude --postvalid index.xml
+	xmllint --noout --nonet --xinclude --postvalid index.xml
Index: book/preface.xml
===================================================================
--- book/preface.xml	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ book/preface.xml	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -64,5 +64,5 @@
 <blockquote><literallayout>Larry Lawrence
 larry &lt;at&gt; linuxfromscratch.org
-BLFS Editor (March 2003 - present)</literallayout></blockquote>
+BLFS Editor (March 2003 - June 2004)</literallayout></blockquote>
 
 </sect1>
Index: general.ent
===================================================================
--- general.ent	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ general.ent	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -54,6 +54,6 @@
 <!ENTITY fam-version                  "2.7.0">
 <!ENTITY libxml-version               "1.8.17">
-<!ENTITY libxml2-version              "2.6.9">
-<!ENTITY libxslt-version              "1.1.6">
+<!ENTITY libxml2-version              "2.6.10">
+<!ENTITY libxslt-version              "1.1.7">
 <!ENTITY readline-version             "4.3">
 <!ENTITY gmp-version                  "4.1.3">
Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ general/genlib/libxml2.xml	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -7,6 +7,6 @@
 <!ENTITY libxml2-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/libxml2-&libxml2-version;.tar.bz2">
 <!ENTITY libxml2-download-ftp "ftp://xmlsoft.org/libxml2-&libxml2-version;.tar.gz">
-<!ENTITY libxml2-size "2.6 MB">
-<!ENTITY libxml2-buildsize "56 MB">
+<!ENTITY libxml2-size "3.5 MB">
+<!ENTITY libxml2-buildsize "73 MB">
 <!ENTITY libxml2-time "1.10 SBU">
 
Index: general/genlib/libxslt.xml
===================================================================
--- general/genlib/libxslt.xml	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ general/genlib/libxslt.xml	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -7,6 +7,6 @@
 <!ENTITY libxslt-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxslt/1.1/libxslt-&libxslt-version;.tar.bz2">
 <!ENTITY libxslt-download-ftp "ftp://xmlsoft.org/libxslt-&libxslt-version;.tar.gz">
-<!ENTITY libxslt-size "1.7 MB">
-<!ENTITY libxslt-buildsize "34 MB">
+<!ENTITY libxslt-size "2.5 MB">
+<!ENTITY libxslt-buildsize "37 MB">
 <!ENTITY libxslt-time "0.40 SBU">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ introduction/welcome/changelog.xml	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -18,4 +18,7 @@
 
 <itemizedlist>
+
+<listitem><para>June 16th, 2004 [larry]: updated to libxml2-2.6.10 and
+libxslt-1.1.7; returned 'make validate' to checking entities.</para></listitem>
 
 <listitem><para>June 16th, 2004 [dj]: updated to xine-lib-1-rc4a and 
Index: postlfs/editors/joe.xml
===================================================================
--- postlfs/editors/joe.xml	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ postlfs/editors/joe.xml	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -7,6 +7,6 @@
   <!ENTITY joe-download-http "http://prdownloads.sourceforge.net/joe-editor/joe-&joe-version;.tar.gz">
   <!ENTITY joe-download-ftp  " ">
-  <!ENTITY joe-size          "308 KB">
-  <!ENTITY joe-buildsize     "4.8 MB">
+  <!ENTITY joe-size          "380 KB">
+  <!ENTITY joe-buildsize     "5.7 MB">
   <!ENTITY joe-time          "0.11 SBU">
 ]>
Index: postlfs/filesystems/reiser.xml
===================================================================
--- postlfs/filesystems/reiser.xml	(revision 004a8284ac870b07786d47f59d59d57fb2e36135)
+++ postlfs/filesystems/reiser.xml	(revision 714d067edf6c5d0ef5e6a6330a505e54990512e4)
@@ -7,6 +7,6 @@
   <!ENTITY reiser-download-http "http://ftp.namesys.com/pub/reiserfsprogs/reiserfsprogs-&reiser-version;.tar.gz">
   <!ENTITY reiser-download-ftp "ftp://ftp.namesys.com/pub/reiserfsprogs/reiserfsprogs-&reiser-version;.tar.gz">
-  <!ENTITY reiser-size "388 KB">
-  <!ENTITY reiser-buildsize "9.4 MB">
+  <!ENTITY reiser-size "400 KB">
+  <!ENTITY reiser-buildsize "8.4 MB">
   <!ENTITY reiser-time "0.16 SBU">
 ]>