Index: general/prog/python2.xml
===================================================================
--- general/prog/python2.xml	(revision ed4ba3e6609f7693950d45c8fd71f64b7068359e)
+++ general/prog/python2.xml	(revision 716ca8aa447ed19fb4379cb4d88a69f6efb6bc2a)
@@ -144,5 +144,5 @@
     --no-same-permissions \
     -C /usr/share/doc/Python-&python2-version;/html \
-    -xvf ../python-&python2-majorver;-docs-html.tar.bz2</userinput></screen>
+    -xvf ../python-&python2-version;-docs-html.tar.bz2</userinput></screen>
 
   </sect2>
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision ed4ba3e6609f7693950d45c8fd71f64b7068359e)
+++ general/prog/python3.xml	(revision 716ca8aa447ed19fb4379cb4d88a69f6efb6bc2a)
@@ -149,5 +149,5 @@
     --no-same-permissions \
     -C /usr/share/doc/Python-&python3-version;/html \
-    -xvf ../python-&python3-majorver;-docs-html.tar.bz2</userinput></screen>
+    -xvf ../python-&python3-version;-docs-html.tar.bz2</userinput></screen>
 
   </sect2>
Index: kde/add/kde-i18n.xml
===================================================================
--- kde/add/kde-i18n.xml	(revision ed4ba3e6609f7693950d45c8fd71f64b7068359e)
+++ kde/add/kde-i18n.xml	(revision 716ca8aa447ed19fb4379cb4d88a69f6efb6bc2a)
@@ -5,19 +5,7 @@
   %general-entities;
 
-    <!-- Inserted as a reminder to do this. The mention of a test suite
-         is usually right before the root user installation commands. Please
-         delete these 12 (including one blank) lines after you are done.-->
-
-    <!-- Use one of the two mentions below about a test suite,
-         delete the line that is not applicable. Of course, if the
-         test suite uses syntax other than "make check", revise the
-         line to reflect the actual syntax to run the test suite -->
-
-    <!-- <para>This package does not come with a test suite.</para> -->
-    <!-- <para>To test the results, issue: <command>make check</command>.</para> -->
-
-  <!ENTITY kde-i18n-download-http "&kde-download-http;/kde-i18n/">
-  <!ENTITY kde-i18n-download-ftp  "&kde-download-ftp;/kde-i18n/">
-  <!ENTITY kde-i18n-md5sum        "<ulink url='&kde-download-http;/MD5SUMS'/>">
+  <!ENTITY kde-i18n-download-http "&trinity-repo-http;/kde-i18n/">
+  <!ENTITY kde-i18n-download-ftp  "&trinity-repo-ftp;/kde-i18n/">
+  <!ENTITY kde-i18n-md5sum        "<ulink url='&trinity-repo-http;/kde-i18n/MD5SUMS'/>">
   <!ENTITY kde-i18n-size          "789 KB to 29 MB (average is about 3 MB)">
   <!ENTITY kde-i18n-buildsize     "varies">
@@ -70,12 +58,13 @@
     <bridgehead renderas="sect3">Download Details</bridgehead>
 
-    <para><application>KDE</application> has 52 separate
+    <para><application>KDE</application> has 71 separate
     internationalization packages in the form of:</para>
 
-<screen><literal>kde-i18n-<replaceable>&lt;xx&gt;</replaceable>-&kde-version;.tar.bz2</literal></screen>
+<screen><literal>kde-i18n-<replaceable>&lt;xx&gt;</replaceable>-3.5.10.tar.bz2</literal></screen>
 
     <para>where the <replaceable>&lt;xx&gt;</replaceable> is a two to five letter code
     for the country covered.  Download the package(s) you need from
-    the directories above.</para>
+    the directories above.  Note that the packages have not been renamed from the
+    kde-3.5.10 distribution.</para>
 
     <bridgehead renderas="sect3">Kde-i18n Dependencies</bridgehead>
@@ -97,5 +86,5 @@
     <para>Install <application>kde-i18n</application> with:</para>
 
-<screen><userinput>./configure --prefix=&kde-dir; &amp;&amp;
+<screen><userinput>./configure --prefix=$TRINITY_PREFIX &amp;&amp;
 make</userinput></screen>
 
@@ -130,5 +119,5 @@
       <seglistitem>
         <seg>None</seg>
-        <seg>Internationalization support for <application>KDE</application></seg>
+        <seg>Internationalization support for <application>KDE3/Trinity</application></seg>
         <seg>None</seg>
       </seglistitem>
Index: kde/add/kdegraphics.xml
===================================================================
--- kde/add/kdegraphics.xml	(revision ed4ba3e6609f7693950d45c8fd71f64b7068359e)
+++ kde/add/kdegraphics.xml	(revision 716ca8aa447ed19fb4379cb4d88a69f6efb6bc2a)
@@ -6,8 +6,8 @@
   <!ENTITY kdegraphics-download-http "&trinity-repo-http;/kdegraphics-&trinity-version;.tar.gz">
   <!ENTITY kdegraphics-download-ftp  "&trinity-repo-ftp;/kdegraphics-&trinity-version;.tar.gz">
-  <!ENTITY kdegraphics-md5sum        "349f197c9af4bf0d9b8773f26829415e">
-  <!ENTITY kdegraphics-size          "8.6 MB">
-  <!ENTITY kdegraphics-buildsize     "98 MB">
-  <!ENTITY kdegraphics-time          "5.1 SBU">
+  <!ENTITY kdegraphics-md5sum        "a75c254cd1060343cd04c6744bce6798">
+  <!ENTITY kdegraphics-size          "7.3 MB">
+  <!ENTITY kdegraphics-buildsize     "162 MB">
+  <!ENTITY kdegraphics-time          "2.7 SBU">
 ]>
 
Index: kde/add/kdenetwork.xml
===================================================================
--- kde/add/kdenetwork.xml	(revision ed4ba3e6609f7693950d45c8fd71f64b7068359e)
+++ kde/add/kdenetwork.xml	(revision 716ca8aa447ed19fb4379cb4d88a69f6efb6bc2a)
@@ -6,5 +6,5 @@
   <!ENTITY kdenetwork-download-http "&trinity-repo-http;/kdenetwork-&trinity-version;.tar.gz">
   <!ENTITY kdenetwork-download-ftp  "&trinity-repo-ftp;/kdenetwork-&trinity-version;.tar.gz">
-  <!ENTITY kdenetwork-md5sum        "0ec1d4ccd550510821a622eb91b893e8">
+  <!ENTITY kdenetwork-md5sum        "349f197c9af4bf0d9b8773f26829415e">
   <!ENTITY kdenetwork-size          "8.6 MB">
   <!ENTITY kdenetwork-buildsize     "98 MB">
Index: kde/kde.xml
===================================================================
--- kde/kde.xml	(revision ed4ba3e6609f7693950d45c8fd71f64b7068359e)
+++ kde/kde.xml	(revision 716ca8aa447ed19fb4379cb4d88a69f6efb6bc2a)
@@ -19,5 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="core/core.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="add/add.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="devel/devel.xml"/>
+  <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="devel/devel.xml"/> -->
 
 </part>