Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ introduction/welcome/changelog.xml	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>October 4th, 2003 [igor]: Added missing http/ftp
+links (part XIII).</para></listitem>
 
 <listitem><para>October 4th, 2003 [tushar]: Patches reorganization, Section IV.</para></listitem>
Index: pst/printing/cups/cups.ent
===================================================================
--- pst/printing/cups/cups.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/printing/cups/cups.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -2,11 +2,11 @@
 <!ENTITY cups-intro SYSTEM "cups-intro.xml">
 <!ENTITY cups-inst SYSTEM "cups-inst.xml">
+<!ENTITY cups-exp SYSTEM "cups-exp.xml">
+<!ENTITY cups-config SYSTEM "cups-config.xml">
 <!ENTITY cups-desc SYSTEM "cups-desc.xml">
-<!ENTITY cups-config SYSTEM "cups-config.xml">
-<!ENTITY cups-exp SYSTEM "cups-exp.xml">
-<!ENTITY cups-buildsize "32 MB">
 <!ENTITY cups-version "1.1.19">
-<!ENTITY cups-download-http "">
+<!ENTITY cups-download-http "http://kitty.dnsalias.org/PKGS/SOURCES/cups-&cups-version;-source.tar.bz2">
 <!ENTITY cups-download-ftp "ftp://ftp.easysw.com/pub/cups/&cups-version;/cups-&cups-version;-source.tar.bz2">
 <!ENTITY cups-size "3.5 MB">
+<!ENTITY cups-buildsize "32 MB">
 <!ENTITY cups-time "0.67 SBU">
Index: pst/printing/gs/espgs-intro.xml
===================================================================
--- pst/printing/gs/espgs-intro.xml	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/printing/gs/espgs-intro.xml	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -43,5 +43,6 @@
 <para><xref linkend="cups"/>, <xref linkend="libjpeg"/>, <xref
 linkend="libpng"/>, <xref linkend="xfree86"/>, <xref
-linkend="GLib"/>, <xref linkend="GTK"/> and <xref linkend="gimp"/>
+linkend="GLib"/>, <xref linkend="GTK"/> and 
+<ulink url="http://gimp-print.sourceforge.net/">gimp-print</ulink>
 </para></sect4>
 </sect3>
Index: pst/printing/gs/espgs.ent
===================================================================
--- pst/printing/gs/espgs.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/printing/gs/espgs.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -2,11 +2,10 @@
 <!ENTITY espgs-intro SYSTEM "espgs-intro.xml">
 <!ENTITY espgs-inst SYSTEM "espgs-inst.xml">
+<!ENTITY espgs-exp SYSTEM "espgs-exp.xml">
 <!ENTITY espgs-desc SYSTEM "espgs-desc.xml">
-<!ENTITY espgs-exp SYSTEM "espgs-exp.xml">
-<!ENTITY espgs-buildsize "116-140 MB (depends on if libgs.so is installed)">
 <!ENTITY espgs-version "7.07.1rc2">
-<!ENTITY espgs-download-http
-"http://heanet.dl.sourceforge.net/sourceforge/espgs/espgs-&espgs-version;-source.tar.bz2">
+<!ENTITY espgs-download-http "http://heanet.dl.sourceforge.net/sourceforge/espgs/espgs-&espgs-version;-source.tar.bz2">
 <!ENTITY espgs-download-ftp "">
 <!ENTITY espgs-size "5.1 MB">
+<!ENTITY espgs-buildsize "116-140 MB (depends on if libgs.so is installed)">
 <!ENTITY espgs-time "1.65-3.20 SBU">
Index: pst/printing/gs/gs.ent
===================================================================
--- pst/printing/gs/gs.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/printing/gs/gs.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -2,12 +2,10 @@
 <!ENTITY gs-intro SYSTEM "gs-intro.xml">
 <!ENTITY gs-inst SYSTEM "gs-inst.xml">
+<!ENTITY gs-exp SYSTEM "gs-exp.xml">
 <!ENTITY gs-desc SYSTEM "gs-desc.xml">
-<!ENTITY gs-exp SYSTEM "gs-exp.xml">
+<!ENTITY gs-version "8.11">
+<!ENTITY gs-download-http "http://telia.dl.sourceforge.net/sourceforge/ghostscript/ghostscript-&gs-version;.tar.bz2">
+<!ENTITY gs-download-ftp "ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs811/ghostscript-&gs-version;.tar.bz2">
+<!ENTITY gs-size "5.1 MB">
 <!ENTITY gs-buildsize "50-61 MB (depends on if libgs.so is installed)">
-<!ENTITY gs-version "8.11">
-<!ENTITY gs-download-http
-"http://telia.dl.sourceforge.net/sourceforge/ghostscript/ghostscript-&gs-version;.tar.bz2">
-<!ENTITY gs-download-ftp
-"ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs811/ghostscript-8.11.tar.bz2">
-<!ENTITY gs-size "5.1 MB">
 <!ENTITY gs-time "1.31-2.48 SBU">
Index: pst/printing/lprng/lprng.ent
===================================================================
--- pst/printing/lprng/lprng.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/printing/lprng/lprng.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -3,10 +3,10 @@
 <!ENTITY LPRng-inst SYSTEM "lprng-inst.xml">
 <!ENTITY LPRng-exp SYSTEM "lprng-exp.xml">
+<!ENTITY LPRng-config SYSTEM "lprng-config.xml">
 <!ENTITY LPRng-desc SYSTEM "lprng-desc.xml">
-<!ENTITY LPRng-config SYSTEM "lprng-config.xml">
-<!ENTITY LPRng-buildsize "59.5 MB">
 <!ENTITY LPRng-version "3.8.22">
 <!ENTITY LPRng-download-http "http://www.lprng.com/DISTRIB/LPRng/LPRng-&LPRng-version;.tgz">
 <!ENTITY LPRng-download-ftp "ftp://ftp.lprng.com/pub/LPRng/LPRng/LPRng-&LPRng-version;.tgz">
 <!ENTITY LPRng-size "15.4 MB">
+<!ENTITY LPRng-buildsize "59.5 MB">
 <!ENTITY LPRng-time "0.29 SBU">
Index: t/scanning/gocr/gocr-exp.xml
===================================================================
--- pst/scanning/gocr/gocr-exp.xml	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<sect2>
-<title>Installation command explanations</title>
-
-<para><userinput>--prefix=/usr :</userinput> All software is going to
-be installed in directories relative to<filename>/usr</filename>.</para>
-
-</sect2>
Index: pst/scanning/gocr/gocr.ent
===================================================================
--- pst/scanning/gocr/gocr.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/scanning/gocr/gocr.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -3,9 +3,8 @@
 <!ENTITY gocr-inst SYSTEM "gocr-inst.xml">
 <!ENTITY gocr-desc SYSTEM "gocr-desc.xml">
-<!ENTITY gocr-exp SYSTEM "gocr-exp.xml">
+<!ENTITY gocr-version "0.37">
+<!ENTITY gocr-download-http "http://telia.dl.sourceforge.net/sourceforge/jocr/gocr-&gocr-version;.tar.gz">
+<!ENTITY gocr-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/jocr/gocr-&gocr-version;.tar.gz">
+<!ENTITY gocr-size "657 KB">
 <!ENTITY gocr-buildsize "5.7 MB">
-<!ENTITY gocr-version "0.37">
-<!ENTITY gocr-download-http "http://telia.dl.sourceforge.net/sourceforge/jocr/gocr-0.37.tar.gz">
-<!ENTITY gocr-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/jocr/gocr-0.37.tar.gz">
-<!ENTITY gocr-size "657 KB">
 <!ENTITY gocr-time "">
Index: pst/scanning/sane/sane.ent
===================================================================
--- pst/scanning/sane/sane.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/scanning/sane/sane.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -2,15 +2,13 @@
 <!ENTITY sane-intro SYSTEM "sane-intro.xml">
 <!ENTITY sane-inst SYSTEM "sane-inst.xml">
+<!ENTITY sane-exp SYSTEM "sane-exp.xml">
 <!ENTITY sane-desc SYSTEM "sane-desc.xml">
-<!ENTITY sane-exp SYSTEM "sane-exp.xml">
+<!ENTITY sane-version "1.0.12">
+<!ENTITY sane-download-http "http://www.mostang.com/sane">
+<!ENTITY sane-be-download-ftp "ftp://ftp.mostang.com/pub/sane/sane-backends-1.0.12.tar.gz">
+<!ENTITY sane-fe-download-ftp "ftp://ftp.mostang.com/pub/sane/sane-frontends-1.0.11.tar.gz">
+<!ENTITY sane-be-size "2.2 MB">
+<!ENTITY sane-fe-size "174 kb">
 <!ENTITY sane-be-buildsize "31 MB">
 <!ENTITY sane-fe-buildsize "3.1 MB">
-<!ENTITY sane-version "1.0.12">
-<!ENTITY sane-download-http "http://www.mostang.com/sane">
-<!ENTITY sane-be-download-ftp
-"ftp://ftp.mostang.com/pub/sane/sane-backends-1.0.12.tar.gz">
-<!ENTITY sane-fe-download-ftp
-"ftp://ftp.mostang.com/pub/sane/sane-frontends-1.0.11.tar.gz">
-<!ENTITY sane-be-size "2.2 MB">
-<!ENTITY sane-fe-size "174 kb">
 <!ENTITY sane-time "">
Index: pst/scanning/xsane/xsane.ent
===================================================================
--- pst/scanning/xsane/xsane.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/scanning/xsane/xsane.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -2,10 +2,10 @@
 <!ENTITY xsane-intro SYSTEM "xsane-intro.xml">
 <!ENTITY xsane-inst SYSTEM "xsane-inst.xml">
+<!ENTITY xsane-exp SYSTEM "xsane-exp.xml">
 <!ENTITY xsane-desc SYSTEM "xsane-desc.xml">
-<!ENTITY xsane-exp SYSTEM "xsane-exp.xml">
+<!ENTITY xsane-version "0.91">
+<!ENTITY xsane-download-http "http://gd.tuwien.ac.at/hci/sane/xsane/xsane-&xsane-version;.tar.gz">
+<!ENTITY xsane-download-ftp "ftp://ftp.mostang.com/pub/sane/xsane/xsane-&xsane-version;.tar.gz">
+<!ENTITY xsane-size "2.5 MB">
 <!ENTITY xsane-buildsize "16 MB">
-<!ENTITY xsane-version "0.91">
-<!ENTITY xsane-download-http "http://www.xsane.org">
-<!ENTITY xsane-download-ftp "ftp://ftp.mostang.com/pub/sane/xsane/xsane-0.91.tar.gz">
-<!ENTITY xsane-size "2.5 MB">
 <!ENTITY xsane-time "">
Index: pst/typesetting/sgml-common.xml
===================================================================
--- pst/typesetting/sgml-common.xml	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/typesetting/sgml-common.xml	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -5,8 +5,6 @@
 &sgml-common-intro;
 &sgml-common-inst;
-<!-- &sgml-common-exp; -->
 &sgml-common-config;
 &sgml-common-desc;
 
 </sect1>
-
Index: pst/typesetting/tex/tex.ent
===================================================================
--- pst/typesetting/tex/tex.ent	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ pst/typesetting/tex/tex.ent	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -2,7 +2,6 @@
 <!ENTITY tex-intro SYSTEM "tex-intro.xml">
 <!ENTITY tex-inst SYSTEM "tex-inst.xml">
+<!ENTITY tex-exp SYSTEM "tex-exp.xml">
 <!ENTITY tex-desc SYSTEM "tex-desc.xml">
-<!ENTITY tex-exp SYSTEM "tex-exp.xml">
-<!ENTITY tex-buildsize "175 MB">
 <!ENTITY tex-version "2.0.2">
 <!ENTITY tex-download-http "ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/2.0/distrib/tetex-src-&tex-version;.tar.gz">
@@ -11,3 +10,4 @@
 "ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/2.0/distrib/tetex-texmfsrc-&tex-version;.tar.gz">
 <!ENTITY tex-size "52 MB">
+<!ENTITY tex-buildsize "175 MB">
 <!ENTITY tex-time "2.97 SBU">
Index: xsoft/office/gimp/gimp-intro.xml
===================================================================
--- xsoft/office/gimp/gimp-intro.xml	(revision ce2d9568b9a1244ea005601da71b0567b2366b49)
+++ xsoft/office/gimp/gimp-intro.xml	(revision 717df1b413695afa9de0567c3b4f939cecdb3927)
@@ -32,5 +32,6 @@
 <sect4><title>Optional</title>
 <para><xref linkend="libtiff"/>, <xref linkend="libpng"/>, <xref
-linkend="libjpeg"/>, gimp-print,
+linkend="libjpeg"/>,
+<ulink url="http://gimp-print.sourceforge.net/">gimp-print</ulink>,
 <xref linkend="aalib"/>, <ulink
 url="http://starship.python.net/~gward/mpeglib/mpeg_lib-1.3.1.tar.gz">mpeg_lib-1.3.1</ulink>,