Index: chive/tepl.xml
===================================================================
--- archive/tepl.xml	(revision 8d8b9ff434c86f361fc3c51f90288e0232e5dfcc)
+++ 	(revision )
@@ -1,167 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY tepl-download-http "&gnome-download-http;/tepl/6.00/tepl-&tepl-version;.tar.xz">
-  <!ENTITY tepl-download-ftp  "&gnome-download-ftp;/tepl/6.00/tepl-&tepl-version;.tar.xz">
-  <!ENTITY tepl-md5sum        "08248e527cc87a4bf7300c04d1babcb9">
-  <!ENTITY tepl-size          "140 KB">
-  <!ENTITY tepl-buildsize     "7.5 MB (with tests)">
-  <!ENTITY tepl-time          "0.2 SBU (with tests)">
-
-]>
-
-<sect1 id="tepl" xreflabel="tepl-&tepl-version;">
-  <?dbhtml filename="tepl.html"?>
-
-
-  <title>Tepl-&tepl-version;</title>
-
-  <indexterm zone="tepl">
-    <primary sortas="a-tepl">tepl</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Tepl</title>
-
-    <para>
-      The <application>Tepl</application> package contains a library that eases
-      the development of GtkSourceView-based text editors and IDEs.
-    </para>
-
-    &lfs111_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&tepl-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&tepl-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &tepl-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &tepl-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &tepl-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &tepl-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Tepl Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="amtk"/>,
-      <xref linkend="gtksourceview4"/>,
-      <xref linkend="icu"/>, and
-      <xref linkend="uchardet"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="gtk-doc"/> (for documentation) and
-      <xref linkend="valgrind"/>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/tepl"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Tepl</title>
-
-    <para>
-      Install <application>Tepl</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
-ninja</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>ninja test</command>.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>ninja install</userinput></screen>
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <option>-Dgtk_doc=true</option>: Use this option if GTK-Doc is installed
-      and you wish to build and install the API documentation.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          None
-        </seg>
-        <seg>
-          libtepl-6.so
-        </seg>
-        <seg>
-          /usr/include/tepl-6 and
-          /usr/share/gtk-doc/html/tepl-6.0
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libtepl-5">
-        <term><filename class="libraryfile">libtepl-5.so</filename></term>
-        <listitem>
-          <para>
-            contains convenience functions for GtkSourceView4-based programs
-          </para>
-          <indexterm zone="tepl libtepl-5">
-            <primary sortas="c-libtepl-5">libtepl-5.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-    </variablelist>
-  </sect2>
-
-</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8d8b9ff434c86f361fc3c51f90288e0232e5dfcc)
+++ introduction/welcome/changelog.xml	(revision 721e696eb3c81fab9e67f5245dbef88aaea3d261)
@@ -43,4 +43,8 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Restore tepl from the archives in support of gedit.
+          Fixes <ulink url="&blfs-ticket-root;17266">#17266</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to amtk-5.6.1. Fixes
           <ulink url="&blfs-ticket-root;17453">#17453</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 8d8b9ff434c86f361fc3c51f90288e0232e5dfcc)
+++ packages.ent	(revision 721e696eb3c81fab9e67f5245dbef88aaea3d261)
@@ -723,4 +723,5 @@
 <!ENTITY qtwebengine-version          "5.15.11">
 <!ENTITY startup-notification-version "0.12">
+<!ENTITY tepl-version                 "6.00.0">
 <!ENTITY webkitgtk-version            "2.38.2">    <!-- Even minors only -->
 
Index: x/lib/lib.xml
===================================================================
--- x/lib/lib.xml	(revision 8d8b9ff434c86f361fc3c51f90288e0232e5dfcc)
+++ x/lib/lib.xml	(revision 721e696eb3c81fab9e67f5245dbef88aaea3d261)
@@ -80,5 +80,5 @@
   <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="webkitgtk2.xml"/>-->
 
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tepl.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tepl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="webkitgtk.xml"/>
 
Index: x/lib/tepl.xml
===================================================================
--- x/lib/tepl.xml	(revision 721e696eb3c81fab9e67f5245dbef88aaea3d261)
+++ x/lib/tepl.xml	(revision 721e696eb3c81fab9e67f5245dbef88aaea3d261)
@@ -0,0 +1,167 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY tepl-download-http "&gnome-download-http;/tepl/6.00/tepl-&tepl-version;.tar.xz">
+  <!ENTITY tepl-download-ftp  "&gnome-download-ftp;/tepl/6.00/tepl-&tepl-version;.tar.xz">
+  <!ENTITY tepl-md5sum        "08248e527cc87a4bf7300c04d1babcb9">
+  <!ENTITY tepl-size          "140 KB">
+  <!ENTITY tepl-buildsize     "7.5 MB (with tests)">
+  <!ENTITY tepl-time          "0.2 SBU (with tests)">
+
+]>
+
+<sect1 id="tepl" xreflabel="tepl-&tepl-version;">
+  <?dbhtml filename="tepl.html"?>
+
+
+  <title>Tepl-&tepl-version;</title>
+
+  <indexterm zone="tepl">
+    <primary sortas="a-tepl">tepl</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Tepl</title>
+
+    <para>
+      The <application>Tepl</application> package contains a library that eases
+      the development of GtkSourceView-based text editors and IDEs.
+    </para>
+
+    &lfs112_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&tepl-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&tepl-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &tepl-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &tepl-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &tepl-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &tepl-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Tepl Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="amtk"/>,
+      <xref linkend="gtksourceview4"/>,
+      <xref linkend="icu"/>, and
+      <xref linkend="uchardet"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/> (for documentation) and
+      <xref linkend="valgrind"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/tepl"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Tepl</title>
+
+    <para>
+      Install <application>Tepl</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr --buildtype=release .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>ninja test</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>-Dgtk_doc=true</option>: Use this option if GTK-Doc is installed
+      and you wish to build and install the API documentation.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libtepl-6.so
+        </seg>
+        <seg>
+          /usr/include/tepl-6 and
+          /usr/share/gtk-doc/html/tepl-6.0
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libtepl-5">
+        <term><filename class="libraryfile">libtepl-5.so</filename></term>
+        <listitem>
+          <para>
+            contains convenience functions for GtkSourceView4-based programs
+          </para>
+          <indexterm zone="tepl libtepl-5">
+            <primary sortas="c-libtepl-5">libtepl-5.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+
+</sect1>