Index: general.ent
===================================================================
--- general.ent	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ general.ent	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "25">                   <!-- Always 2 digits -->
+<!ENTITY day          "27">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 25th &year;">
+<!ENTITY releasedate  "January 27th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ general/prog/cmake.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -7,5 +7,5 @@
   <!ENTITY cmake-download-http "http://www.cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "04545d3cc3801fe84223b864c4f7a53c">
+  <!ENTITY cmake-md5sum        "4cb3ff35b2472aae70f542116d616e63">
   <!ENTITY cmake-size          "6.5 MB">
   <!ENTITY cmake-buildsize     "704 MB (with tests and cmake-gui)">
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ gnome.ent	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -47,5 +47,5 @@
 <!ENTITY gnome-terminal-version         "3.18.2">
 <!ENTITY gucharmap-version              "3.18.2">
-<!ENTITY nautilus-version               "3.18.4">
+<!ENTITY nautilus-version               "3.18.5">
 <!ENTITY network-manager-applet-version "1.0.10">
 <!ENTITY seahorse-version               "3.18.0">
Index: gnome/applications/nautilus.xml
===================================================================
--- gnome/applications/nautilus.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ gnome/applications/nautilus.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -9,7 +9,7 @@
   <!ENTITY nautilus-download-ftp
            "&gnome-download-ftp;/nautilus/&gnome-minor-18;/nautilus-&nautilus-version;.tar.xz">
-  <!ENTITY nautilus-md5sum        "cb7f682afd2cbc814d39247e1fa6a4b4">
+  <!ENTITY nautilus-md5sum        "0f578bda5655c0ce204befafca5803d7">
   <!ENTITY nautilus-size          "3.2 MB">
-  <!ENTITY nautilus-buildsize     "115 MB">
+  <!ENTITY nautilus-buildsize     "114 MB">
   <!ENTITY nautilus-time          "0.8 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ introduction/welcome/changelog.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -44,4 +44,39 @@
 
 -->
+
+    <listitem>
+      <para>January 27th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to curl-7.47.0. Fixes
+          <ulink url="&blfs-ticket-root;7401">#7401</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to firefox-44.0. Fixes
+          <ulink url="&blfs-ticket-root;7400">#7400</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to nautilus-3.18.5. Fixes
+          <ulink url="&blfs-ticket-root;7399">#7399</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to xkeyboard-config-2.17. Fixes
+          <ulink url="&blfs-ticket-root;7397">#7397</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to cmake-3.4.3. Fixes
+          <ulink url="&blfs-ticket-root;7396">#7396</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gnupg-2.1.11. Fixes
+          <ulink url="&blfs-ticket-root;7395">#7395</ulink></para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Re-Update to wicd-1.7.4. Upstream tarball changed,
+          with fixes. Fixes
+          <ulink url="&blfs-ticket-root;7391">#7391</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ networking/netlibs/curl.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -7,5 +7,5 @@
   <!ENTITY curl-download-http "http://curl.haxx.se/download/curl-&curl-version;.tar.lzma">
   <!ENTITY curl-download-ftp  " ">
-  <!ENTITY curl-md5sum        "f845c513830d38c1b7ac39a98c1c2b11">
+  <!ENTITY curl-md5sum        "a6a400c4d6de843d13ffbbb39f4d8173">
   <!ENTITY curl-size          "2.8 MB">
   <!ENTITY curl-buildsize     "54 MB (with tests)">
Index: networking/netutils/wicd.xml
===================================================================
--- networking/netutils/wicd.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ networking/netutils/wicd.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -8,6 +8,6 @@
   <!ENTITY wicd-download-ftp  " ">
   <!ENTITY wicd-md5sum        "aaa2e9f5320849e0b5d053099a6f0007">
-  <!ENTITY wicd-size          "620 KB">
-  <!ENTITY wicd-buildsize     "4.4 MB">
+  <!ENTITY wicd-size          "536 KB">
+  <!ENTITY wicd-buildsize     "4.2 MB">
   <!ENTITY wicd-time          "less than 0.1 SBU">
 ]>
@@ -102,6 +102,5 @@
     commands:</para>
 
-<screen><userinput>sed -e "s/ 'CHANGES',//" \
-    -e "/wpath.logrotate\|wpath.systemd/d" \
+<screen><userinput>sed -e "/wpath.logrotate\|wpath.systemd/d" \
     -e "/detection failed/ a\                self.init=\'init\/default\/wicd\'" \
     -i.orig setup.py &amp;&amp;;
@@ -129,8 +128,7 @@
 
     <para><command>sed -e ... -i setup.py</command>: The first expression in
-    this <command>sed</command> command prevents a build failure (trying
-    installation of nonexistent file "CHANGES"). The second one prevents
-    installation of logrotate and systemd configuration files. You may omit it
-    if you use these utilities. The third one fixes building with BLFS.</para>
+    this <command>sed</command> command prevents installation of logrotate and
+    systemd configuration files. You may omit it if you use these utilities. The
+    second one fixes building with BLFS.</para>
 
     <para><command>rm po/*.po</command>: This command removes the international
Index: packages.ent
===================================================================
--- packages.ent	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ packages.ent	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -13,5 +13,5 @@
 <!ENTITY cracklib-version             "2.9.6">
 <!ENTITY cyrus-sasl-version           "2.1.26">
-<!ENTITY gnupg2-version               "2.1.10">
+<!ENTITY gnupg2-version               "2.1.11">
 <!ENTITY gnutls-version               "3.4.8">
 <!ENTITY gpgme-version                "1.6.0">
@@ -257,5 +257,5 @@
 <!ENTITY clisp-version                "2.49">
 <!ENTITY cmake-major-version          "3.4">
-<!ENTITY cmake-minor-version          "2">
+<!ENTITY cmake-minor-version          "3">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!--<!ENTITY cvs-version                  "1.11.23">-->
@@ -390,5 +390,5 @@
 
 <!-- Chapter 17 -->
-<!ENTITY curl-version                 "7.46.0">
+<!ENTITY curl-version                 "7.47.0">
 <!ENTITY geoclue-version              "0.12.0">
 <!ENTITY glib-networking-version      "2.46.1">
@@ -458,5 +458,5 @@
 <!ENTITY xbitmaps-version             "1.1.1">
 <!ENTITY xcursor-themes-version       "1.0.4">
-<!ENTITY xkeyboard-config-version     "2.16">
+<!ENTITY xkeyboard-config-version     "2.17">
 <!ENTITY mesa-version                 "11.1.1">
 <!ENTITY xcb-util-version             "0.4.0">
@@ -659,5 +659,5 @@
 <!-- Chapter 43 -->
 <!ENTITY seamonkey-version            "2.39">
-<!ENTITY firefox-version              "43.0.4">
+<!ENTITY firefox-version              "44.0">
 
 <!-- Chapter 44 -->
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ postlfs/security/gnupg2.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -7,7 +7,7 @@
   <!ENTITY gnupg2-download-http "https://gnupg.org/ftp/gcrypt/gnupg/gnupg-&gnupg2-version;.tar.bz2">
   <!ENTITY gnupg2-download-ftp  "ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-&gnupg2-version;.tar.bz2">
-  <!ENTITY gnupg2-md5sum        "f0a7cb09fe119f8b82eba7efecd27dc0">
+  <!ENTITY gnupg2-md5sum        "873302c475c4c90badb67daac90ebd5d">
   <!ENTITY gnupg2-size          "5 MB">
-  <!ENTITY gnupg2-buildsize     "112 MB (with tests and docs - additional 8 MB for alternate formats docs)">
+  <!ENTITY gnupg2-buildsize     "113 MB (with tests and docs - additional 8 MB for alternate formats docs)">
   <!ENTITY gnupg2-time          "0.9 SBU (with tests and docs)">
 ]>
@@ -198,7 +198,6 @@
       <seglistitem>
         <seg>addgnupghome, applygnupgdefaults, dirmngr, dirmngr-client, g13,
-        gpg-agent, gpg-connect-agent, gpg, gpg2, gpgconf, gpgkey2ssh,
-        gpgparsemail, gpgsm, gpgtar, gpgv, gpgv2, kbxutil, symcryptrun, and
-        watchgnupg</seg>
+        gpg-agent, gpg-connect-agent, gpg, gpg2, gpgconf, gpgparsemail, gpgsm,
+        gpgtar, gpgv, gpgv2, kbxutil, symcryptrun, and watchgnupg</seg>
         <seg>None</seg>
         <seg>/usr/share/doc/gnupg-&gnupg2-version; and
@@ -329,15 +328,4 @@
       </varlistentry>
 
-      <varlistentry id="gpgkey2ssh">
-        <term><command>gpgkey2ssh</command></term>
-        <listitem>
-          <para>is a utility used to get the correctly formated key for
-          ssh usage.</para>
-          <indexterm zone="gnupg2 gpgkey2ssh">
-            <primary sortas="b-gpgkey2ssh">gpgkey2ssh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="gpgparsemail">
         <term><command>gpgparsemail</command></term>
Index: x/installing/xkeyboard-config.xml
===================================================================
--- x/installing/xkeyboard-config.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ x/installing/xkeyboard-config.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -6,10 +6,10 @@
 
   <!ENTITY xkeyboard-config-download-http
-  "&xorg-download-http;/data/xkeyboard-config/xkeyboard-config-&xkeyboard-config-version;.tar.bz2">
+  "http://xorg.freedesktop.org/archive/individual/data/xkeyboard-config/xkeyboard-config-&xkeyboard-config-version;.tar.bz2">
   <!ENTITY xkeyboard-config-download-ftp
   "&xorg-download-ftp;/data/xkeyboard-config/xkeyboard-config-&xkeyboard-config-version;.tar.bz2">
-  <!ENTITY xkeyboard-config-md5sum        "bf6aa31195584cfce01b2194c3e5ea26">
-  <!ENTITY xkeyboard-config-size          "948 KB">
-  <!ENTITY xkeyboard-config-buildsize     "13 MB">
+  <!ENTITY xkeyboard-config-md5sum        "15034bb74deebde54161dface62abbce">
+  <!ENTITY xkeyboard-config-size          "952 KB">
+  <!ENTITY xkeyboard-config-buildsize     "20 MB">
   <!ENTITY xkeyboard-config-time          "less than 0.1 SBU">
 ]>
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision 0b81c460911fe7b7b4e50371c7e42db62b752a36)
+++ xsoft/graphweb/firefox.xml	(revision 724ab4190dc662d1da6056960f5f69ede962ee23)
@@ -9,8 +9,8 @@
   <!ENTITY firefox-download-ftp "&mozilla-ftp;/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.bz2"> -->
   <!ENTITY firefox-download-ftp " ">
-  <!ENTITY firefox-md5sum        "a4a5f0d069cf5414ab53afaffc9d1580">
-  <!ENTITY firefox-size          "168 MB">
-  <!ENTITY firefox-buildsize     "4.1 GB (82 MB installed)">
-  <!ENTITY firefox-time          "9.9 SBU (with parallelism=4)">
+  <!ENTITY firefox-md5sum        "9d940e72f9eaff767fafcfbcc387594d">
+  <!ENTITY firefox-size          "174 MB">
+  <!ENTITY firefox-buildsize     "4.4 GB (80 MB installed)">
+  <!ENTITY firefox-time          "11 SBU (with parallelism=4)">
 ]>
 
@@ -143,5 +143,5 @@
       <ulink url="http://hunspell.sourceforge.net/">Hunspell</ulink>,
       <ulink url="http://sourceforge.net/projects/liboauth/files/">liboauth</ulink>, and
-      <ulink url="https://code.google.com/p/libproxy/">libproxy</ulink>, and
+      <ulink url="https://github.com/libproxy/libproxy">libproxy</ulink>, and
       <ulink url="https://www.rust-lang.org/">Rust</ulink>
     </para>