Index: basicnet/netutils/traceroute.xml
===================================================================
--- basicnet/netutils/traceroute.xml	(revision 5b664aa6fd224002dbe4f25537121bb9d47d0bdd)
+++ basicnet/netutils/traceroute.xml	(revision 726be182f82618df7aad7e4988c17fa592c5a3e1)
@@ -7,7 +7,7 @@
   <!ENTITY traceroute-download-http "http://gd.tuwien.ac.at/platform/sun/packages/solaris/freeware/SOURCES/traceroute-&traceroute-version;.tar.gz">
   <!ENTITY traceroute-download-ftp  "ftp://ftp.ee.lbl.gov/traceroute-&traceroute-version;.tar.gz">
-  <!ENTITY traceroute-size          "73 KB">
-  <!ENTITY traceroute-buildsize     "464 KB">
-  <!ENTITY traceroute-time          "0.02 SBU">
+  <!ENTITY traceroute-size          "74 KB">
+  <!ENTITY traceroute-buildsize     "540 KB">
+  <!ENTITY traceroute-time          "0.01 SBU">
 ]>
 
@@ -36,5 +36,5 @@
 url="&traceroute-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &traceroute-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &traceroute-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
@@ -63,13 +63,14 @@
 <para><command>sed 's/-o bin/-o root/' Makefile.in</command>: 
 Adjusts the <filename>Makefile</filename> so that the program is installed 
-with user root instead of user bin (which doesn't exist on a default
+with user root instead of user bin (which doesn't exist on a default 
 <acronym>LFS</acronym> system).</para>
 
 <para><command>make install</command>: Installs <command>traceroute</command> 
-with <acronym>SUID</acronym> set to  root in the <filename>/usr/sbin</filename> 
-directory. This makes it possible for all users to execute 
-<command>traceroute</command>. For absolute security, turn off the 
-<acronym>SUID</acronym> bit in <command>traceroute</command>'s file permissions 
-with the command:</para>
+with <acronym>SUID</acronym> set to root in the 
+<filename class='directory'>/usr/sbin</filename> directory. This makes it 
+possible for all users to execute <command>traceroute</command>. For absolute 
+security, turn off the <acronym>SUID</acronym> bit in 
+<command>traceroute</command>'s file permissions with the command:</para>
+
 <screen><command>chmod 0755 /usr/sbin/traceroute</command></screen>
 
@@ -88,4 +89,5 @@
 <filename class='directory'>/usr/bin</filename> with the following command:
 </para>
+
 <screen><command>mv /usr/sbin/traceroute /usr/bin</command></screen>
 
Index: general.ent
===================================================================
--- general.ent	(revision 5b664aa6fd224002dbe4f25537121bb9d47d0bdd)
+++ general.ent	(revision 726be182f82618df7aad7e4988c17fa592c5a3e1)
@@ -1,3 +1,3 @@
-<!ENTITY day          "08">
+<!ENTITY day          "09">
 <!ENTITY month        "12">
 <!ENTITY year         "2004">
@@ -6,5 +6,5 @@
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "cvs">                  <!-- cvs|[release #] -->
-<!ENTITY lfs-version  "testing">              <!-- stable|testing|unstable] -->
+<!ENTITY lfs-version  "stable">               <!-- stable|testing|unstable] -->
 <!ENTITY last-commit  "$Date$"> <!-- Automatic update -->
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5b664aa6fd224002dbe4f25537121bb9d47d0bdd)
+++ introduction/welcome/changelog.xml	(revision 726be182f82618df7aad7e4988c17fa592c5a3e1)
@@ -22,4 +22,8 @@
 
 <itemizedlist>
+
+<listitem><para>December 9th, 2004 [randy]: Added a chown command to the 
+GStreamer instructions to fix incorrect permissions on installed 
+documentation.</para></listitem>
 
 <listitem><para>December 8th, 2004 [igor]: Changed ProFTPD login shell
Index: multimedia/libdriv/gstreamer.xml
===================================================================
--- multimedia/libdriv/gstreamer.xml	(revision 5b664aa6fd224002dbe4f25537121bb9d47d0bdd)
+++ multimedia/libdriv/gstreamer.xml	(revision 726be182f82618df7aad7e4988c17fa592c5a3e1)
@@ -82,4 +82,5 @@
 make &amp;&amp;
 make install &amp;&amp;
+chown -R root:root /usr/share/doc/gstreamer-&gstreamer-version; &amp;&amp;
 gst-register</command></userinput></screen>
 
@@ -102,4 +103,9 @@
 the rebuilding of documentation during the <command>make</command>
 command.</para>
+
+<para><command>chown -R root:root ...</command>: The documentation is 
+installed with ownerships of the user who untarred and built the package. 
+This command changes the ownerships of the installed documentation files to
+root:root.</para>
 
 </sect2>