Index: general.ent
===================================================================
--- general.ent	(revision e1f9f2af1f0fcf4ad6290b0978bd94f813f2ced9)
+++ general.ent	(revision 729e458c74e7273d4d0f6c9da0eac1d71175e84c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "21">                   <!-- Always 2 digits -->
+<!ENTITY day          "22">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 21st, &year;">
+<!ENTITY releasedate  "May 22nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -141,2 +141,7 @@
                           linkend='parallel-builds'/> for more information.</para></note>">
 
+<!ENTITY shell-env "<note><para>If installing in the chroot environment, be
+                    sure to export the <envar>SHELL</envar> environment
+                    variable or configuration of the package will
+                    fail.</para></note>">
+
Index: general/genlib/js52.xml
===================================================================
--- general/genlib/js52.xml	(revision e1f9f2af1f0fcf4ad6290b0978bd94f813f2ced9)
+++ general/genlib/js52.xml	(revision 729e458c74e7273d4d0f6c9da0eac1d71175e84c)
@@ -101,4 +101,6 @@
       commands:
     </para>
+
+    &shell-env;
 
 <screen><userinput>cd js/src &amp;&amp;
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision e1f9f2af1f0fcf4ad6290b0978bd94f813f2ced9)
+++ general/sysutils/systemd.xml	(revision 729e458c74e7273d4d0f6c9da0eac1d71175e84c)
@@ -130,4 +130,10 @@
 <screen><userinput remap="pre">patch -Np1 -i ../systemd-238-upstream_fixes-1.patch</userinput></screen>
 
+    <para>Fix an issue with newer headers:</para>
+
+<screen><userinput remap="pre">sed -i '527,565 d'                  src/basic/missing.h
+sed -i '24 d'                       src/core/load-fragment.c
+sed -i '53 a#include &lt;sys/mount.h&gt;' src/shared/bus-unit-util.c</userinput></screen>
+
     <para>Remove an unneeded group,
     <systemitem class="groupname">render</systemitem>, from the default udev
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e1f9f2af1f0fcf4ad6290b0978bd94f813f2ced9)
+++ introduction/welcome/changelog.xml	(revision 729e458c74e7273d4d0f6c9da0eac1d71175e84c)
@@ -46,4 +46,17 @@
 
    <listitem>
+      <para>May 22nd, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to make-ca-0.8. Fixes
+          <ulink url="&blfs-ticket-root;10794">#10794</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Added header seds from LFS for systemd-238.</para>
+        </listitem>
+      </itemizedlist>
+   </listitem>
+
+   <listitem>
       <para>May 21st, 2018</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision e1f9f2af1f0fcf4ad6290b0978bd94f813f2ced9)
+++ packages.ent	(revision 729e458c74e7273d4d0f6c9da0eac1d71175e84c)
@@ -25,5 +25,5 @@
 <!ENTITY linux-pam-docs-version       "1.2.0">
 <!ENTITY libpwquality-version         "1.4.0">
-<!ENTITY make-ca-version              "0.7">
+<!ENTITY make-ca-version              "0.8">
 <!ENTITY mitkrb-major-version         "1.16">
 <!ENTITY mitkrb-version               "1.16">
Index: postlfs/security/make-ca.xml
===================================================================
--- postlfs/security/make-ca.xml	(revision e1f9f2af1f0fcf4ad6290b0978bd94f813f2ced9)
+++ postlfs/security/make-ca.xml	(revision 729e458c74e7273d4d0f6c9da0eac1d71175e84c)
@@ -12,5 +12,5 @@
   <!ENTITY make-ca-download      "https://github.com/djlucas/make-ca/archive/v&make-ca-version;/make-ca-&make-ca-version;.tar.gz">
   <!ENTITY make-ca-size          "36 KB">
-  <!ENTITY make-ca-md5sum        "4f180b9bf3b11f29d6a79e6022aeae23">
+  <!ENTITY make-ca-md5sum        "1f0176c4fa89274971b2826a97f303f7">
 ]>
 
@@ -152,12 +152,5 @@
     </note>
 
-<screen role="root"><userinput>sed -e 's%= /etc/ssl;%= "/etc/ssl";%' \
-    -e 's%= /usr;%= "/usr";%'         \
-    -i /usr/bin/c_rehash              &amp;&amp;
-/usr/sbin/make-ca -g</userinput></screen>
-
-    <para>The <command>sed</command> command works around missing quotes in
-    <command>c_rehash</command> from openssl-1.1.0h and can be safely rerun
-    (the " inserted the first time will prevent matches on subsequent runs).</para>
+<screen role="root"><userinput>/usr/sbin/make-ca -g</userinput></screen>
 
     <para>You should periodically update the store with the above command