Index: general/genlib/yaml.xml
===================================================================
--- general/genlib/yaml.xml	(revision 7292e01b46d831befbaab98770686879780ec1bf)
+++ general/genlib/yaml.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY yaml-download-http "http://pyyaml.org/download/libyaml/yaml-&yaml-version;.tar.gz">
+  <!ENTITY yaml-download-http "/https://github.com/yaml/libyaml/archive/&yaml-version;/yaml-&yaml-version;.tar.gz">
   <!ENTITY yaml-download-ftp  " ">
-  <!ENTITY yaml-md5sum        "72724b9736923c517e5a8fc6757ef03d">
-  <!ENTITY yaml-size          "588 KB">
-  <!ENTITY yaml-buildsize     "6.7 MB">
-  <!ENTITY yaml-time          "0.1 SBU">
+  <!ENTITY yaml-md5sum        "2ad4119a57f94739cc39a1b482c81264">
+  <!ENTITY yaml-size          "80 KB">
+  <!ENTITY yaml-buildsize     "3.0 MB (with tests)">
+  <!ENTITY yaml-time          "less than 0.1 SBU (with tests)">
 ]>
 
@@ -87,4 +87,9 @@
     <title>Installation of YAML</title>
 
+    <note>
+      <para>This package expands to libyaml-&yaml-version;, not
+      the expected yaml-&yaml-version;.</para>
+    </note>
+
     <para>
       Install <application>YAML</application> by running the following
@@ -92,9 +97,14 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>make build &amp;&amp;
+cd   build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DBUILD_SHARED_LIBS=true    \
+      -DCMAKE_BUILD_TYPE=RELEASE ..  &amp;&amp;
 make</userinput></screen>
 
     <para>
-      To test the results, issue: <command>make check</command>.
+      To test the results, issue: <command>make test</command>.
     </para>
 
Index: general/prog/lxml.xml
===================================================================
--- general/prog/lxml.xml	(revision 7292e01b46d831befbaab98770686879780ec1bf)
+++ general/prog/lxml.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
@@ -7,8 +7,8 @@
   <!ENTITY lxml-download-http "&pymodules-dl;/l/lxml/lxml-&lxml-version;.tar.gz">
   <!ENTITY lxml-download-ftp  " ">
-  <!ENTITY lxml-md5sum        "8d1698a48f4ef68484de5bab457cc787">
+  <!ENTITY lxml-md5sum        "d35e90d9de17e1370fbb7e6059bd95ed">
   <!ENTITY lxml-size          "4.2 MB">
-  <!ENTITY lxml-buildsize     "152 MB (add 26 MB for the testsuite)">
-  <!ENTITY lxml-time          "1.9 SBU (add 1.8 SBU for the testsuite)">
+  <!ENTITY lxml-buildsize     "152 MB (add 38 MB for the testsuite)">
+  <!ENTITY lxml-time          "1.8 SBU (add 1.8 SBU for the testsuite)">
 ]>
 
Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision 7292e01b46d831befbaab98770686879780ec1bf)
+++ general/prog/python-modules.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
@@ -100,5 +100,5 @@
         </para>
       </listitem>
-      <listitem revision="systemd">
+      <listitem>
         <para>
           <xref linkend="Jinja2"/>
@@ -120,5 +120,5 @@
         </para>
       </listitem>
-      <listitem revision="systemd">
+      <listitem>
         <para>
           <xref linkend="PyYAML"/>
Index: general/prog/pyyaml.xml
===================================================================
--- general/prog/pyyaml.xml	(revision 7292e01b46d831befbaab98770686879780ec1bf)
+++ general/prog/pyyaml.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
@@ -7,7 +7,7 @@
   <!ENTITY PyYAML-download-http "http://pyyaml.org/download/pyyaml/PyYAML-&PyYAML-version;.tar.gz">
   <!ENTITY PyYAML-download-ftp  " ">
-  <!ENTITY PyYAML-md5sum        "b78b96636d68ac581c0e2f38158c224f">
+  <!ENTITY PyYAML-md5sum        "3b07eb596071bac75c886129de881d22">
   <!ENTITY PyYAML-size          "268 KB">
-  <!ENTITY PyYAML-buildsize     "12 MB">
+  <!ENTITY PyYAML-buildsize     "11 MB">
   <!ENTITY PyYAML-time          "0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7292e01b46d831befbaab98770686879780ec1bf)
+++ introduction/welcome/changelog.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
@@ -45,4 +45,20 @@
       <para>March 27th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to lxml-4.3.3 (python module). Fixes
+          <ulink url="&blfs-ticket-root;11863">#11863</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to PyYAML-5.1 (python module). Fixes
+          <ulink url="&blfs-ticket-root;11862">#11862</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to yaml-0.2.2. Fixes
+          <ulink url="&blfs-ticket-root;11861">#11861</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to curl-7.64.1. Fixes
+          <ulink url="&blfs-ticket-root;11859">#11859</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to yelp-xsl-3.32.1. Part of
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision 7292e01b46d831befbaab98770686879780ec1bf)
+++ networking/netlibs/curl.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
@@ -7,8 +7,8 @@
   <!ENTITY curl-download-http "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
   <!ENTITY curl-download-ftp  " ">
-  <!ENTITY curl-md5sum        "d14fe778e9f00399445d9525117e25a3">
+  <!ENTITY curl-md5sum        "8d22827310223f24d8eacc866722cc10">
   <!ENTITY curl-size          "2.3 MB">
-  <!ENTITY curl-buildsize     "77 MB (add 14 MB for tests)">
-  <!ENTITY curl-time          "0.3 SBU (add 14 SBU for tests)">
+  <!ENTITY curl-buildsize     "73 MB (add 13 MB for tests)">
+  <!ENTITY curl-time          "0.4 SBU (add 16 SBU for tests)">
 ]>
 
@@ -158,5 +158,7 @@
 
     <para>
-       To run the test suite, issue: <command>make test</command>. <!-- Two (of 857) tests
+       To run the test suite, issue: <command>make test</command>. 
+       Tests 323, 1139, and 1140 are known to fail.
+       <!-- Two (of 857) tests
       fail for unknown reasons, and all tests fail is valgrind is installed. Moving
       valgrind out of $PATH is recommended if you wish to run the test suite while
@@ -214,4 +216,9 @@
 For dependencies, I had c-ares, gnutls, libidn2, libpsl, krb5, libssh2, nghttp2,
 OpenLDAP, Samba, stunnel, and Valgrind installed.
+=======
+Added by bdubbs for curl-7.64.1:
+TESTDONE: 1022 tests out of 1025 reported OK: 99%
+TESTFAIL: These test cases failed: 323 1139 1140
+TESTDONE: 1242 tests were considered during 1483 seconds
 -->
     </para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7292e01b46d831befbaab98770686879780ec1bf)
+++ packages.ent	(revision 731bf37aed532828b71618f7ca416891256b0699)
@@ -190,5 +190,5 @@
 <!ENTITY wv-version                   "1.2.9">
 <!ENTITY xapian-version               "1.4.11">
-<!ENTITY yaml-version                 "0.2.1">
+<!ENTITY yaml-version                 "0.2.2">
 
 <!-- Chapter 10 -->
@@ -523,5 +523,5 @@
 <!ENTITY Jinja2-version               "2.10">
 <!-- libxml2 for Python2 shares the version of libxml2 -->
-<!ENTITY lxml-version                 "4.3.2">
+<!ENTITY lxml-version                 "4.3.3">
 <!ENTITY mako-version                 "1.0.8">
 <!ENTITY MarkupSafe-version           "1.1.1">
@@ -534,5 +534,5 @@
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.25">
-<!ENTITY PyYAML-version               "3.13">
+<!ENTITY PyYAML-version               "5.1">
 <!ENTITY scour-version                "0.37">
 <!ENTITY six-version                  "1.12.0">
@@ -576,5 +576,5 @@
 <!-- Chapter 17 -->
 <!ENTITY c-ares-version               "1.15.0">
-<!ENTITY curl-version                 "7.64.0">
+<!ENTITY curl-version                 "7.64.1">
 <!ENTITY geoclue2-version             "2.5.2">
 <!ENTITY glib-networking-version      "2.60.0.1">