Index: gnome.ent
===================================================================
--- gnome.ent	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome.ent	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -94,5 +94,5 @@
 <!ENTITY gnome-terminal-version            "3.40.3">
 <!ENTITY gnome-tweaks-version              "40.0">
-<!ENTITY gnome-weather-version             "40.0">
+<!ENTITY gnome-weather-version             "40.1">
 <!--ENTITY gucharmap-version                 "13.0.8"-->
 <!-- "major" version also used for links to unicode downloads -->
Index: gnome/applications/baobab.xml
===================================================================
--- gnome/applications/baobab.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/baobab.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/brasero.xml
===================================================================
--- gnome/applications/brasero.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/brasero.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/eog.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/evince.xml
===================================================================
--- gnome/applications/evince.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/evince.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/evolution.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/file-roller.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <note>
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-calculator.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-color-manager.xml
===================================================================
--- gnome/applications/gnome-color-manager.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-color-manager.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-disk-utility.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-logs.xml
===================================================================
--- gnome/applications/gnome-logs.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-logs.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-maps.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-nettool.xml
===================================================================
--- gnome/applications/gnome-nettool.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-nettool.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-power-manager.xml
===================================================================
--- gnome/applications/gnome-power-manager.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-power-manager.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-screenshot.xml
===================================================================
--- gnome/applications/gnome-screenshot.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-screenshot.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-system-monitor.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-terminal.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-weather.xml
===================================================================
--- gnome/applications/gnome-weather.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gnome-weather.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-weather-download-ftp
            "&gnome-download-ftp;/gnome-weather/&gnome-40;/gnome-weather-&gnome-weather-version;.tar.xz">
-  <!ENTITY gnome-weather-md5sum        "a172aa420065fd58d376429d2e80f603">
+  <!ENTITY gnome-weather-md5sum        "8cb2525bb9321ff27889877bbd735d7d">
   <!ENTITY gnome-weather-size          "920 KB">
   <!ENTITY gnome-weather-buildsize     "4.7 MB">
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gucharmap.xml
===================================================================
--- gnome/applications/gucharmap.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/gucharmap.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/seahorse.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/vinagre.xml
===================================================================
--- gnome/applications/vinagre.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ gnome/applications/vinagre.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ introduction/welcome/changelog.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -45,4 +45,8 @@
       <para>August 25th, 2021</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to gnome-weather-40.1. Fixes
+          <ulink url="&blfs-ticket-root;15424">#15424</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Update to mutt-2.1.2. Fixes
Index: postlfs/editors/gedit.xml
===================================================================
--- postlfs/editors/gedit.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ postlfs/editors/gedit.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/tepl.xml
===================================================================
--- x/lib/tepl.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ x/lib/tepl.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision 2405d19e007c6ac97bae8b286d5bcd015dd4fa5e)
+++ xsoft/graphweb/epiphany.xml	(revision 0732c446e454c29ad54a529971633af08be61f0a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>