Index: server/other/other.xml
===================================================================
--- server/other/other.xml	(revision 87cb4945867b411e31fac3f22481b755c3ce7697)
+++ server/other/other.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -17,5 +17,8 @@
 &rsync;
 &openldap;
+<!-- 
 &samba;
+-->
+&samba3;
 &xinetd;
 
Index: server/other/samba3.xml
===================================================================
--- server/other/samba3.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
+++ server/other/samba3.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -0,0 +1,12 @@
+<sect1 id="samba3" xreflabel="Samba-&samba3-version;">
+<?dbhtml filename="samba3.html"?>
+<title>Samba-&samba3-version;</title>
+
+&samba3-intro;
+&samba3-inst;
+&samba3-exp;
+&samba3-config;
+&samba3-desc;
+
+</sect1>
+
Index: server/other/samba3/samba3-config.xml
===================================================================
--- server/other/samba3/samba3-config.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
+++ server/other/samba3/samba3-config.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -0,0 +1,74 @@
+<sect2>
+<title>Configuring <application>Samba</application></title>
+<para>Because of the infinate number of possible uses for 
+<application>Samba</application>, configuration is well beyond the scope
+of the BLFS book.  In fact, many complete books have been written on
+this topic alone.  The included documentation, a popular book published by
+O'Reilly, can be viewed by pointing your web browser to:</para>
+<para><screen><userinput>file:///usr/share/samba/swat/using_samba/toc.html</userinput></screen></para>
+
+<!--
+<para>There are also several other resources availible on the web.
+Below are a few links that show in detail some very good sample
+configurations.</para>
+
+  * This is for later....as soon as I find the example configs I had the
+  * other day....
+
+<para>Insert the links here along with descriptions of the 
+sample configs. (use itemized list)</para>
+-->
+
+<!-- 
+<para>Finally, the buit in SWAT (Samba Web Administation Tool) utility
+-->
+<para>The built in SWAT (Samba Web Administration Tool) utility
+can be used for the very basic of configurations.  However, before 
+using SWAT, you must do a little configuration.</para>  
+
+<para>Add the swat entry to <filename>/etc/services</filename>with the 
+following command: </para>
+
+<screen><userinput><command>echo "swat            901/tcp" &gt;&gt; /etc/services</command></userinput></screen>
+
+<para>If <command>inetd</command> is used, the following command will add the 
+swat entry to <filename>/etc/inetd.conf</filename>: </para>
+<screen><userinput><command>echo "swat stream tcp nowait.400 root /usr/sbin/swat swat" \
+    &gt;&gt; /etc/inetd.conf</command></userinput></screen>
+
+<para>If xinetd is used, the following command will add the swat entry
+to <filename>/etc/xinetd.conf</filename>: </para>
+<screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
+service swat
+{
+    port            = 901
+    socket_type     = stream
+    wait            = no
+    only_from       = 127.0.0.1
+    user            = root
+    server          = /usr/sbin/swat
+    log_on_failure  += USERID
+}
+<command>EOF</command></userinput></screen>
+
+<para><acronym>SWAT</acronym> can be launched by pointing your web
+browser to:</para>
+<screen><userinput><command>http://localhost:901</command></userinput></screen>
+
+<para>For your convenience, boot scripts have been provided for
+<application>Samba</application>.  There are two included in the
+<application>lfs-bootscripts</application> package.  The first,
+<filename>samba</filename>, will start the <command>smbd</command> and
+<command>nmbd</command> daemons needed to provide
+<acronym>SMB</acronym>/<acronym>CIFS</acronym> services.  The second
+script, <filename>winbind</filename>, starts the <command>winbindd</command> 
+daemon, used for providing Windows domain services to Linux clients.</para>
+
+<para>Install the <filename>samba</filename> script with the following 
+command:</para>
+<para><screen><userinput>make install-samba</userinput></screen></para>
+
+<para>If you also need the <filename>winbind</filename> script:</para>
+<para><screen><userinput>make install-winbind</userinput></screen></para>
+</sect2>
+
Index: server/other/samba3/samba3-desc.xml
===================================================================
--- server/other/samba3/samba3-desc.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
+++ server/other/samba3/samba3-desc.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -0,0 +1,81 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Samba</application> package contains
+<command>make_smbcodepage</command>,
+<command>make_unicodemap</command>,
+<command>mount.smbfs</command>,
+<command>nmbd</command>,
+<command>nmblookup</command>,
+<command>rpcclient</command>,
+<command>smbcacls</command>,
+<command>smbclient</command>,
+<command>smbcontrol</command>,
+<command>smbd</command>,
+<command>smbpasswd</command>,
+<command>smbspool</command>,
+<command>smbstatus</command>,
+<command>swat</command>,
+<command>testparm</command>,
+<command>testprns</command>,
+<command>wbinfo</command> and
+<command>winbindd.</command></para></sect2>
+
+<sect2>
+<title>Description</title>
+<sect3><title>make_smbcodepage</title>
+<para><command>make_smbcodepage</command> converts text descriptions of code 
+pages to binary code page files and vice versa.</para></sect3>
+<sect3><title>make_unicodemap</title>
+<para><command>make_unicodemap</command> converts text Unicode map files to 
+binary, for use in mapping characters to 16 bit Unicode.</para></sect3>
+<sect3><title>mount.smbfs</title>
+<para><command>mount.smbfs</command> provides <command>/bin/mount</command> 
+with a way to mount remote windows (or samba) fileshares.</para></sect3>
+<sect3><title>nmbd</title>
+<para><command>nmbd</command> is the Samba Net<acronym>BIOS</acronym> name 
+server.</para></sect3>
+<sect3><title>nmblookup</title>
+<para><command>nmblookup</command> is used to query
+Net<acronym>BIOS</acronym> names and map them to <acronym>IP</acronym>
+addresses.</para></sect3>
+<sect3><title>rpcclient</title>
+<para><command>rpcclient</command> is used to execute
+MS-<acronym>RPC</acronym> client side functions.</para></sect3>
+<sect3><title>smbcacls</title>
+<para><command>smbcacls</command> is used to manipulate NT access control
+lists.</para></sect3>
+<sect3><title>smbclient</title>
+<para><command>smbclient</command> is a <acronym>SMB</acronym>/<acronym>CIFS
+</acronym> access utility, similar to <acronym>FTP</acronym>.</para></sect3>
+<sect3><title>smbcontrol</title>
+<para><command>smbcontrol</command> is used to control running <command>smbd
+</command>, <command>nmbd</command> and <command>winbindd</command>
+daemons.</para></sect3>
+<sect3><title>smbd</title>
+<para><command>smbd</command> is the main
+<application>Samba</application> daemon.</para></sect3>
+<sect3><title>smbpasswd</title>
+<para><command>smbpasswd</command> changes a user's <application>Samba
+</application> password.</para></sect3>
+<sect3><title>smbspool</title>
+<para><command>smbspool</command> sends a print job to an <acronym>SMB
+</acronym> printer.</para></sect3>
+<sect3><title>smbstatus</title>
+<para><command>smbstatus</command> reports current
+<application>Samba</application> connections.</para></sect3>
+<sect3><title>swat</title>
+<para><command>swat</command> is the Samba Web Administration Tool.</para>
+</sect3>
+<sect3><title>testparm</title>
+<para><command>testparm</command> checks an <filename>smb.conf</filename> file 
+for proper syntax.</para></sect3>
+<sect3><title>testprns</title>
+<para><command>testprns</command> tests printer names.</para></sect3>
+<sect3><title>wbinfo</title>
+<para><command>wbinfo</command> queries a running <command>winbindd</command> 
+daemon.</para></sect3>
+<sect3><title>winbindd</title>
+<para><command>winbindd</command> resolves names from NT servers.</para></sect3>
+</sect2>
+
Index: server/other/samba3/samba3-exp.xml
===================================================================
--- server/other/samba3/samba3-exp.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
+++ server/other/samba3/samba3-exp.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -0,0 +1,35 @@
+<sect2>
+<title>Installation command explanations</title>
+
+<para><command>'mkdir -p /var/cache/samba'</command>: This directory is 
+needed for proper operation of the <command>smbd</command> and 
+<command>nmbd</command> daemons.</para>
+
+<para><parameter>--prefix=/usr</parameter>: Sets the prefix for almost
+all the file paths to <filename class="directory">/usr</filename>.</para>
+
+<para><parameter>--sysconfdir=/etc</parameter>: Sets the configuration
+file directory to avoid the default of <filename class="directory">/usr/etc</filename>.</para>
+
+<para><parameter>--localstatedir=/var</parameter>: Sets the variable
+data directory to avoid the default of <filename class="directory">/usr/var</filename>.</para>
+
+<para><option>--with-fhs</option>: Assigns all other file paths in a manner 
+compliant with the Filesystem Hierarchy Standard 
+(<acronym>FHS</acronym>).</para>
+
+<para><option>--with-smbmount</option>: Orders the creation of an extra 
+binary for use by the <command>mount</command> command so that mounting remote 
+<acronym>SMB</acronym> (windows) shares becomes no more complex than mounting 
+remote <acronym>NFS</acronym> shares.</para>
+
+<para><command>'install -m755 nsswitch/libnss_win{s,bind}.so /lib'</command>:
+The nss libs are not installed by default.  If you intend to use
+winbindd for domain auth, and/or <acronym>WINS</acronym> name resolution, 
+you need these libraries</para> 
+
+<para><command>'ln -sf libnss_winbind.so /lib/libnss_winbind.so.2'</command> 
+and <command>'ln -sf libnss_wins.so /lib/libnss_wins.so.2'</command>:
+These symlinks are required by glibc to use the nss libs.</para>
+
+</sect2>
Index: server/other/samba3/samba3-inst.xml
===================================================================
--- server/other/samba3/samba3-inst.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
+++ server/other/samba3/samba3-inst.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -0,0 +1,27 @@
+<sect2>
+<title>Installation of <application>Samba</application></title>
+
+<para>Install <application>Samba</application> by running the following 
+commands:</para>
+
+
+<screen><userinput><command>cd source &amp;&amp;
+mkdir -p /var/cache/samba &amp;&amp;
+./configure \
+   --prefix=/usr \
+   --sysconfdir=/etc \
+   --localstatedir=/var \
+   --with-piddir=/var/run \
+   --with-fhs \
+   --with-smbmount &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+install -m755 nsswitch/libnss_win{s,bind}.so /lib &amp;&amp;
+ln -sf libnss_winbind.so /lib/libnss_winbind.so.2 &amp;&amp;
+ln -sf libnss_wins.so /lib/libnss_wins.so.2</command></userinput></screen>
+
+<para>Note: You may want to run configure with the
+<parameter>--help</parameter> parameter.  There may be other parameters 
+ needed to take advantage of the optional dependencies.</para>
+</sect2>
+
Index: server/other/samba3/samba3-intro.xml
===================================================================
--- server/other/samba3/samba3-intro.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
+++ server/other/samba3/samba3-intro.xml	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -0,0 +1,30 @@
+<sect2>
+<title>Introduction to <application>Samba</application></title>
+
+<para>The <application>Samba</application> package provides file and print 
+services to <acronym>SMB</acronym>/<acronym>CIFS</acronym> clients and
+Windows networking to Linux clients.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&samba3-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&samba3-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &samba3-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &samba3-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &samba3-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3>
+<title><application>Samba</application> Dependencies</title>
+<sect4>
+<title>Optional</title>
+<para><xref linkend="Linux_PAM"/>,
+<xref linkend="xinetd"/>,
+<xref linkend="readline"/>,
+<xref linkend="openldap"/>,
+<xref linkend="cups"/>,
+<xref linkend="heimdal"/> or <xref linkend="mitkrb"/>.</para>
+</sect4>
+</sect3>
+
+</sect2>
Index: server/other/samba3/samba3.ent
===================================================================
--- server/other/samba3/samba3.ent	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
+++ server/other/samba3/samba3.ent	(revision 736ede912005abada2c9f1a2d44d0a3ebe383cb2)
@@ -0,0 +1,12 @@
+<!ENTITY samba3 SYSTEM "../samba3.xml">
+<!ENTITY samba3-intro SYSTEM "samba3-intro.xml">
+<!ENTITY samba3-inst SYSTEM "samba3-inst.xml">
+<!ENTITY samba3-exp SYSTEM "samba3-exp.xml">
+<!ENTITY samba3-config SYSTEM "samba3-config.xml">
+<!ENTITY samba3-desc SYSTEM "samba3-desc.xml">
+<!ENTITY samba3-version "3.0.4">
+<!ENTITY samba3-download-http "http://us1.samba.org/samba/ftp/samba-&samba3-version;.tar.gz">
+<!ENTITY samba3-download-ftp "ftp://ftp.samba.org/pub/samba/samba-&samba3-version;.tar.gz">
+<!ENTITY samba3-size "14.4 MB">
+<!ENTITY samba3-buildsize "123 MB">
+<!ENTITY samba3-time "10.5 SBU">