Index: general/graphlib/libjpeg-turbo.xml
===================================================================
--- general/graphlib/libjpeg-turbo.xml	(revision 51f2ba16e406f186e1b8601d0383c389adae6e43)
+++ general/graphlib/libjpeg-turbo.xml	(revision 741f35be9421ee59917ff041525791a767b9b1cf)
@@ -7,5 +7,5 @@
   <!ENTITY libjpeg-download-http "&sourceforge-dl;/libjpeg-turbo/libjpeg-turbo-&libjpeg-turbo-version;.tar.gz">
   <!ENTITY libjpeg-download-ftp  " ">
-  <!ENTITY libjpeg-md5sum        "bd07fddf26f9def7bab02739eb655116">
+  <!ENTITY libjpeg-md5sum        "d01d9e0c28c27bc0de9f4e2e8ff49855">
   <!ENTITY libjpeg-size          "2.1 MB">
   <!ENTITY libjpeg-buildsize     "31 MB (with tests)">
Index: general/prog/lua52.xml
===================================================================
--- general/prog/lua52.xml	(revision 51f2ba16e406f186e1b8601d0383c389adae6e43)
+++ general/prog/lua52.xml	(revision 741f35be9421ee59917ff041525791a767b9b1cf)
@@ -227,5 +227,5 @@
 
       <varlistentry id="lua52-prog">
-        <term><command>lua52</command></term>
+        <term><command>lua5.2</command></term>
         <listitem>
           <para>
@@ -239,5 +239,5 @@
 
       <varlistentry id="luac52">
-        <term><command>luac52</command></term>
+        <term><command>luac5.2</command></term>
         <listitem>
           <para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 51f2ba16e406f186e1b8601d0383c389adae6e43)
+++ introduction/welcome/changelog.xml	(revision 741f35be9421ee59917ff041525791a767b9b1cf)
@@ -45,4 +45,16 @@
       <para>January 1st, 2020</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to ffmpeg-4.2.2. Fixes
+          <ulink url="&blfs-ticket-root;12967">#12967</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libjpeg-turbo-2.0.4. Fixes
+          <ulink url="&blfs-ticket-root;12966">#12966</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sudo-1.8.30. Fixes
+          <ulink url="&blfs-ticket-root;12965">#12965</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Update to libva-2.6.0. Fixes
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 51f2ba16e406f186e1b8601d0383c389adae6e43)
+++ multimedia/videoutils/ffmpeg.xml	(revision 741f35be9421ee59917ff041525791a767b9b1cf)
@@ -7,5 +7,5 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.xz">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "67da904cf9fddeeb10a1308fc0dc39de">
+  <!ENTITY ffmpeg-md5sum        "348956fc2faa57a2f79bbb84ded9fbc3">
   <!ENTITY ffmpeg-size          "8.7 MB">
   <!ENTITY ffmpeg-buildsize     "160 MB (add 3.5 GB for the FATE suite/tests, add 655 MB for docs)">
Index: packages.ent
===================================================================
--- packages.ent	(revision 51f2ba16e406f186e1b8601d0383c389adae6e43)
+++ packages.ent	(revision 741f35be9421ee59917ff041525791a767b9b1cf)
@@ -40,5 +40,5 @@
 <!ENTITY ssh-askpass-version          "&openssh-version;">
 <!ENTITY stunnel-version              "5.56">
-<!ENTITY sudo-version                 "1.8.29">
+<!ENTITY sudo-version                 "1.8.30">
 <!ENTITY tripwire-version             "2.4.3.7">
 <!ENTITY volume_key-version           "0.3.12">
@@ -208,5 +208,5 @@
 <!ENTITY libexif-version              "0.6.21">
 <!ENTITY libgxps-version              "0.3.1">
-<!ENTITY libjpeg-turbo-version        "2.0.3">
+<!ENTITY libjpeg-turbo-version        "2.0.4">
 <!ENTITY libmng-version               "2.0.3">
 <!ENTITY libmypaint-version           "1.4.0"> <!-- version 1 only -->
@@ -990,5 +990,5 @@
 
 <!-- Chapter 44 -->
-<!ENTITY ffmpeg-version               "4.2.1">
+<!ENTITY ffmpeg-version               "4.2.2">
 <!ENTITY mplayer-version              "1.4">
 <!ENTITY xine-ui-version              "0.99.12">
Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision 51f2ba16e406f186e1b8601d0383c389adae6e43)
+++ postlfs/security/sudo.xml	(revision 741f35be9421ee59917ff041525791a767b9b1cf)
@@ -7,8 +7,8 @@
   <!ENTITY sudo-download-http "http://www.sudo.ws/dist/sudo-&sudo-version;.tar.gz">
   <!ENTITY sudo-download-ftp  "ftp://ftp.sudo.ws/pub/sudo/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-md5sum        "b28dabff9c460f115fe74de4d6a6f79d">
+  <!ENTITY sudo-md5sum        "d56cd5835b1cc9852bd76ddaaa572475">
   <!ENTITY sudo-size          "3.2 MB">
-  <!ENTITY sudo-buildsize     "31 MB (without tests)">
-  <!ENTITY sudo-time          "0.3 SBU (with tests)">
+  <!ENTITY sudo-buildsize     "39 MB (with tests)">
+  <!ENTITY sudo-time          "0.4 SBU (with tests)">
 ]>
 