Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cf2df60344f4f81972b03a30d5b9639236711c99)
+++ introduction/welcome/changelog.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>August 6th, 2002 [markh]: Post-LFS: Initial addition of
+reiserfsprogs.</para></listitem>
 
 <listitem><para>August 6th, 2002 [markh]: General: Update which to
Index: postlfs/filesystems/filesystems.xml
===================================================================
--- postlfs/filesystems/filesystems.xml	(revision cf2df60344f4f81972b03a30d5b9639236711c99)
+++ postlfs/filesystems/filesystems.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -6,5 +6,5 @@
 
 &postlfs-filesystems-ext3;
-&postlfs-filesystems-reiser;
+&reiser;
 &postlfs-filesystems-xfs;
 
Index: postlfs/filesystems/reiser.xml
===================================================================
--- postlfs/filesystems/reiser.xml	(revision cf2df60344f4f81972b03a30d5b9639236711c99)
+++ postlfs/filesystems/reiser.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -1,7 +1,11 @@
-<sect1 id="postlfs-filesystems-reiser">
-<?dbhtml filename="reiser.html" dir="postlfs"?>
-<title>reiserfs</title>
+<sect1 id="reiserfs" xreflabel="reiserfs-&reiser-version;">
+<?dbhtml filename="reiserfs.html" dir="postlfs"?>
+<title>reiserfs-&reiser-version;</title>
 
-<para>TO BE DONE</para>
+&reiser-intro;
+&reiser-inst;
+&reiser-exp;
+&reiser-desc;
 
 </sect1>
+
Index: postlfs/filesystems/reiser/reiser-desc.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-desc.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
+++ postlfs/filesystems/reiser/reiser-desc.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -0,0 +1,37 @@
+<sect2>
+<title>Contents</title>
+
+<para>reiserfsprogs contains <userinput>debugreiserfs</userinput>,
+<userinput>mkreiserfs</userinput>, <userinput>reiserfsck</userinput>,
+<userinput>resize_reiserfs</userinput> and 
+<userinput>unpack</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>debugreiserfs</title>
+<para>debugreiserfs can sometimes help to solve problems with reiserfs 
+filesystems.  If it is called without options it prints the super block 
+of any reiserfs filesystem found on the device.</para></sect3>
+
+<sect3><title>mkreiserfs</title>
+<para>mkreiserfs creates a reiserfs file system.</para></sect3>
+
+<sect3><title>reiserfsck</title>
+<para>reiserfsck checks a reiserfs file system.</para></sect3>
+
+<sect3><title>reiserfstune</title>
+<para>reiserfstune is used for tuning the ReiserFS journal.  WARNING: Don't
+use this utility without first reading the man page
+thoroughly.</para></sect3>
+
+<sect3><title>resize_reiserfs</title>
+<para>resize_reiserfs is used to resize an unmounted reiserfs file 
+system</para></sect3>
+
+<sect3><title>unpack</title>
+<para>No description is currently available.</para></sect3>
+
+</sect2>
+
Index: postlfs/filesystems/reiser/reiser-exp.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-exp.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
+++ postlfs/filesystems/reiser/reiser-exp.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -0,0 +1,10 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--mandir=/usr/share/man:</userinput> This ensures that
+the manual pages are installed in the correct location while still
+installing the programs in <filename>/sbin</filename> as they should
+be.</para>
+
+</sect2>
+
Index: postlfs/filesystems/reiser/reiser-inst.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-inst.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
+++ postlfs/filesystems/reiser/reiser-inst.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of reiserfs</title>
+
+<para>Install reiserfs by running the following commands:</para>
+
+<para><screen><userinput>./configure --mandir=/usr/share/man &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: postlfs/filesystems/reiser/reiser-intro.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-intro.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
+++ postlfs/filesystems/reiser/reiser-intro.xml	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Introduction to reiserfsutils</title>
+
+<screen>Download location (HTTP):       <ulink url="&reiser-download-http;"/>
+Download location (FTP):        <ulink url="&reiser-download-ftp;"/>
+Version used:                   &reiser-version;
+Package size:                   &reiser-size;
+Estimated Disk space required:  &reiser-buildsize;</screen>
+
+<para>The reiserfsutils package contains various utilities for use with the
+reiser filesystem.</para>
+
+</sect2>
Index: postlfs/filesystems/reiser/reiser.ent
===================================================================
--- postlfs/filesystems/reiser/reiser.ent	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
+++ postlfs/filesystems/reiser/reiser.ent	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -0,0 +1,10 @@
+<!ENTITY reiser SYSTEM "../reiser.xml">
+<!ENTITY reiser-intro SYSTEM "reiser-intro.xml">
+<!ENTITY reiser-inst SYSTEM "reiser-inst.xml">
+<!ENTITY reiser-exp SYSTEM "reiser-exp.xml">
+<!ENTITY reiser-desc SYSTEM "reiser-desc.xml">
+<!ENTITY reiser-buildsize "3.9 MB">
+<!ENTITY reiser-version "3.6.2">
+<!ENTITY reiser-download-http "">
+<!ENTITY reiser-download-ftp"ftp://ftp.namesys.com/pub/reiserfsprogs/reiserfsprogs-3.6.2.tar.gz">
+<!ENTITY reiser-size "322 KB">
Index: postlfs/postlfs.ent
===================================================================
--- postlfs/postlfs.ent	(revision cf2df60344f4f81972b03a30d5b9639236711c99)
+++ postlfs/postlfs.ent	(revision 742c064bc78b6c6e14ad702397302ee5033d01d3)
@@ -26,5 +26,6 @@
 <!ENTITY postlfs-filesystems SYSTEM "filesystems/filesystems.xml">
 <!ENTITY postlfs-filesystems-ext3 SYSTEM "filesystems/ext3.xml">
-<!ENTITY postlfs-filesystems-reiser SYSTEM "filesystems/reiser.xml">
+<!ENTITY % reiserfs SYSTEM "filesystems/reiser/reiser.ent">
+%reiserfs;
 <!ENTITY postlfs-filesystems-xfs SYSTEM "filesystems/xfs.xml">
 