Index: general.ent
===================================================================
--- general.ent	(revision cdbfae1b4a3440f2e8c4a1e9ba95d74256982b8a)
+++ general.ent	(revision 744e7e9367978f43b816d6bbe7504e742fb98c8f)
@@ -1,3 +1,3 @@
-<!ENTITY day          "17">
+<!ENTITY day          "18">
 <!ENTITY month        "01">
 <!ENTITY year         "2006">
@@ -118,5 +118,5 @@
 <!ENTITY rep-gtk-version              "0.18">
 <!ENTITY compface-version             "1.4">
-<!ENTITY imagemagick-version          "6.2.4">
+<!ENTITY imagemagick-version          "6.2.5">
 <!ENTITY hd2u-version                 "1.0.0">
 <!ENTITY gtk-doc-version              "1.4">
Index: general/genutils/imagemagick.xml
===================================================================
--- general/genutils/imagemagick.xml	(revision cdbfae1b4a3440f2e8c4a1e9ba95d74256982b8a)
+++ general/genutils/imagemagick.xml	(revision 744e7e9367978f43b816d6bbe7504e742fb98c8f)
@@ -8,8 +8,8 @@
   <!ENTITY imagemagick-download-http "http://www.imagemagick.org/download/ImageMagick-&imagemagick-version;-&imagemagick-patch-version;.tar.bz2">
   <!ENTITY imagemagick-download-ftp  "ftp://ftp.imagemagick.net/pub/ImageMagick/ImageMagick-&imagemagick-version;-&imagemagick-patch-version;.tar.bz2">
-  <!ENTITY imagemagick-md5sum        "1db7282df67272afb6b79dd87cd49bad">
-  <!ENTITY imagemagick-size          "4.9 MB">
-  <!ENTITY imagemagick-buildsize     "157 MB (additional 68 MB if you run the Image::Magick demo)">
-  <!ENTITY imagemagick-time          "3.3 SBU (Additional 1.2 SBU to run the test suite)">
+  <!ENTITY imagemagick-md5sum        "eaee90992c8cf36f1f5fc6c887d73897">
+  <!ENTITY imagemagick-size          "5.0 MB">
+  <!ENTITY imagemagick-buildsize     "158 MB (additional 68 MB if you run the Image::Magick demo)">
+  <!ENTITY imagemagick-time          "3.2 SBU (Additional 1.2 SBU to run the test suite)">
 ]>
 
@@ -68,46 +68,79 @@
     <para role="recommended">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
 
-    <bridgehead renderas="sect4">Optional (Install Based on the Required
-    Format Support and Tools)</bridgehead>
-    <para role="optional"><xref linkend="lcms"/>,
-    <xref linkend="espgs"/> or <xref linkend="gs"/>,
-    <xref linkend="libpng"/>,
-    <xref linkend="libjpeg"/>,
-    <xref linkend="freetype2"/>,
-    <xref linkend="libtiff"/>,
-    <xref linkend="libxml2"/>,
-    <xref linkend="tex"/>,
-    <xref linkend="gimp"/>,
-    <xref linkend="sane"/>,
-    <xref linkend="wget"/>,
-    <xref linkend="enscript"/>,
-    <xref linkend="libexif"/>,
-    <ulink url="http://www.graphviz.org/">GraphViz</ulink>,
+    <para>The optional dependencies listed below should be installed if you
+    need support for the specific format or the conversion tool the dependency
+    provides. Many of the dependencies' capabilities and uses are described in
+    the <quote>MAGICK DELEGATES</quote> section of the
+    <filename>README.txt</filename> file located in the source tree. Additional
+    information about the dependencies can be found in the
+    <filename>Install-unix.txt</filename> file located in the source tree as
+    well as issuing the <command>./configure --help</command> command. A
+    summary of this information, as well as some additional notes can be viewed
+    on-line at <ulink
+    url="http://www.imagemagick.org/script/advanced-unix-installation.php"/>.</para>
+
+    <bridgehead renderas="sect4">Optional System Utilities</bridgehead>
+    <para role="optional">
+    <xref linkend="cups"/> or <xref linkend="LPRng"/> (or any other print
+    utility that provides an <command>lpr</command> command),
+    <ulink url="http://www.cybercom.net/~dcoffin/dcraw/">DCRaw</ulink>,
+    <ulink url="http://dmalloc.com/">Dmalloc</ulink>,
+    <ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink>,
+    <ulink url="http://www.gsp.com/support/virtual/email/pgp/">PGP</ulink>
+    or <xref linkend="gnupg"/> (you'll have to do some hacking to use
+    <application>GnuPG</application>),
+    <xref linkend="sane"/>, and
+    <xref linkend="wget"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional Graphics Libraries</bridgehead>
+    <para role="optional">
+    <ulink url="http://corefonts.sourceforge.net/">corefonts</ulink>,
     <ulink url="http://www.i3a.org/i_flashpix.html">FlashPIX</ulink> (or
     <ulink url="ftp://ftp.imagemagick.org/pub/ImageMagick/delegates/libfpx-1.2.0.13.tar.bz2">
     FlashPIX library</ulink>),
+    <xref linkend="freetype2"/>,
     <ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">Jasper</ulink>,
     <ulink url="http://www.cl.cam.ac.uk/~mgk25/jbigkit/">JBIG-KIT</ulink>,
-    <ulink url="http://wvware.sourceforge.net/">libwmf</ulink>,
+    <xref linkend="lcms"/>,
+    <xref linkend="libexif"/>,
+    <xref linkend="libjpeg"/>,
+    <xref linkend="libpng"/>,
+    <xref linkend="libtiff"/>,
+    <xref linkend="libxml2"/>, and
+    <ulink url="http://www.agocg.ac.uk/train/cgm/ralcgm.htm">RALCGM</ulink>
+    </para>
+
+    <bridgehead renderas="sect4">Optional Graphics Utilities</bridgehead>
+    <para role="optional">
+    <xref linkend="espgs"/> or <xref linkend="gs"/>,
+    <ulink url="http://www.artifex.com/downloads/">GhostPCL</ulink>,
+    <xref linkend="gimp"/>,
+    <ulink url="http://www.gnuplot.info/">Gnuplot</ulink>,
+    <ulink url="http://www.graphviz.org/">GraphViz</ulink>,
+    <ulink url="http://www.povray.org/">POV-Ray</ulink>, and
+    <ulink url="http://radsite.lbl.gov/radiance/HOME.html">Radiance</ulink>
+    </para>
+
+    <bridgehead renderas="sect4">Optional Conversion Tools</bridgehead>
+    <para role="optional">
     <ulink url="http://autotrace.sourceforge.net/">AutoTrace</ulink>,
-    <ulink url="http://www.agocg.ac.uk/train/cgm/ralcgm.htm">RALCGM</ulink>,
-    <ulink url="http://www.cybercom.net/~dcoffin/dcraw/">DCRaw</ulink>,
-    <ulink url="http://www.xfig.org/">Transfig</ulink>,
-    <ulink url="http://www.gnuplot.info/">Gnuplot</ulink>,
+    <xref linkend="enscript"/>,
     <ulink url="http://www.gnu.org/software/hp2xx/">hp2xx</ulink>,
     <ulink url="http://user.it.uu.se/~jan/html2ps.html">html2ps</ulink>,
+    <ulink url="http://wvware.sourceforge.net/">libwmf</ulink>,
+    <ulink url="http://www.mpeg.org/MSSG/">MPEG-2 Video Codec</ulink>,
     <ulink url="http://netpbm.sourceforge.net/">Netpbm</ulink>,
-    <ulink url="http://www.mpeg.org/MSSG/">MPEG-2 Video Codec</ulink>,
-    <ulink url="http://www.povray.org/">POV-Ray</ulink>,
+    <xref linkend="tex"/>,
+    <ulink url="http://www.xfig.org/">Transfig</ulink>,
+    <ulink url="http://txt2html.sourceforge.net/">txt2html</ulink>
+    (requires <xref linkend="perl-module-build"/> and Perl Module
+    <ulink url="http://cpan.org/authors/id/J/JS/JSTENZEL/Getopt-ArgvFile-1.10.tgz">
+    Getopt::ArgvFile</ulink>), and
     <ulink url="http://www.cs.utah.edu/gdc/projects/urt/">Utah Raster Toolkit</ulink>
     (or <ulink
     url="http://www.funet.fi/pub/graphics/packages/Utah-Raster-Toolkit/rel3/urt-3.1b.mlg.tar.gz">
-    source</ulink>),
-    <ulink url="http://txt2html.sourceforge.net/">txt2html</ulink>,
-    <ulink url="http://radsite.lbl.gov/radiance/HOME.html">Radiance</ulink>,
-    <ulink url="http://corefonts.sourceforge.net/">corefonts</ulink>,
-    <ulink url="http://www.artifex.com/downloads/">GhostPCL</ulink>,
-    <ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink> and
-    <ulink url="http://dmalloc.com/">Dmalloc</ulink></para>
+    source</ulink>)
+    </para>
 
   </sect2>
@@ -122,5 +155,7 @@
 make</userinput></screen>
 
-     <para>To test the results, issue: <command>make check</command>.</para>
+     <para>To test the results, issue: <command>make check</command>. Note that
+     as many as 17% of the tests may fail due to system and/or build parameter
+     settings.</para>
 
      <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -128,4 +163,7 @@
 <screen role="root"><userinput>make install</userinput></screen>
 
+    <!-- Commenting this out for now as it is redundant to information
+         that has already been presented, or is in the 'command explanations'
+         section below.
     <sect3>
       <title>Additional Configure Options</title>
@@ -137,4 +175,5 @@
 
     </sect3>
+    -->
 
   </sect2>
@@ -143,15 +182,21 @@
     <title>Command Explanations</title>
 
-<!--
-    <para><command>sed -i -e 's/\$(LIBLTDL) \$/\$/' Makefile.in</command>: The
-    package will build and install a different version of the
-    <application>Libtool</application> library in
-    <filename class='directory'>/usr/lib</filename>. This command forces the
-    package to link to the installed version of
-    <filename class='libraryfile'>libltdl</filename>, and not replace it.</para>
--->
-
     <para><parameter>--with-modules</parameter>: Enables support for dynamically
     loadable modules.</para>
+
+    <para><option>--with-gslib=/usr/lib</option>: Enables support to use the
+    Ghostscript shared library.</para>
+
+    <para><option>--with-fpx</option>: Enables support to use the FlashPix
+    library.</para>
+
+    <para><option>--with-windows-font-dir=<replaceable>[Some/Directory]</replaceable></option>:
+    This option specifies the directory where the Windows CoreFonts are
+    installed.</para>
+
+    <para>The options and parameters listed above are the only ones you should
+    have to pass to the <command>configure</command> script to activate all the
+    delegate dependencies. All other dependencies will be automatically
+    detected and utilized in the build if they are installed.</para>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cdbfae1b4a3440f2e8c4a1e9ba95d74256982b8a)
+++ introduction/welcome/changelog.xml	(revision 744e7e9367978f43b816d6bbe7504e742fb98c8f)
@@ -41,4 +41,14 @@
 
 -->
+
+    <listitem>
+      <para>January 18th, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Updated to ImageMagick-6.2.5-5.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>January 17th, 2006</para>
@@ -46,5 +56,5 @@
         <listitem>
           <para>[tushar] - Modify unzip compilation to enable unzip to
-          unzip files upto 4 GB.</para>
+          unzip files up to 4 GB.</para>
         </listitem>
         <listitem>